window.Gleam.initSearch([{"doc":"gchess","title":"gchess","content":"# gchess\n[![Package Version](https://img.shields.io/hexpm/v/gchess)](https://hex.pm/packages/gchess)\n\n&lt;!--[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gchess/) --&gt;\n## Intro\n\nA chess library for Gleam.\n\n```\n  let game_actor =\n    game.new_game_from_fen(\n      &quot;rnbqkbnr/pppppppp/8/8/8/8/PPPPPPPP/RNBQK2R w KQkq - 0 1&quot;,\n    )\n  game.print_board(game_actor)\n  let assert list_of_moves = game.all_legal_moves(game_actor)\n  list.each(list_of_moves, fn(move) { io.println(move.to_string(move)) })\n  game.apply_move(\n    game_actor,\n    move.Castle(\n      from: position.Position(file: position.E, rank: position.One),\n      to: position.Position(file: position.G, rank: position.One),\n    ),\n  )\n  game.print_board(game_actor)\n```\n\n## Features\nget all legal moves\\\nmake a move\\\nmake a move using uci notation\\\nprint game board to console\\\nprint fen as board to console\\\n\n## TODO\nMy goal is to match the interface of [binbo](https://github.com/DOBRO/binbo).\n","url":"index.html"},{"doc":"bitboard","title":"Bitboard","content":"pub type Bitboard {\n  Bitboard(bitboard: Int)\n}\n\nBitboard(bitboard: Int)\n\n\nSynonyms:\nbitboard.Bitboard\nbitboard Bitboard","url":"bitboard.html#Bitboard"},{"doc":"bitboard","title":"and","content":"pub fn and(bitboard1: Bitboard, bitboard2: Bitboard) -&gt; Bitboard\n\nSynonyms:\nbitboard.and\nbitboard and","url":"bitboard.html#and"},{"doc":"bitboard","title":"bitscan_backward","content":"pub fn bitscan_backward(bitboard: Bitboard) -&gt; Int\n\nSynonyms:\nbitboard.bitscan_backward\nbitboard bitscan_backward","url":"bitboard.html#bitscan_backward"},{"doc":"bitboard","title":"bitscan_backward_inner","content":"pub fn bitscan_backward_inner(\n  bitboard: Bitboard,\n  index: Int,\n) -&gt; Int\n\nSynonyms:\nbitboard.bitscan_backward_inner\nbitboard bitscan_backward_inner","url":"bitboard.html#bitscan_backward_inner"},{"doc":"bitboard","title":"bitscan_forward","content":"pub fn bitscan_forward(bitboard: Bitboard) -&gt; Int\n\nSynonyms:\nbitboard.bitscan_forward\nbitboard bitscan_forward","url":"bitboard.html#bitscan_forward"},{"doc":"bitboard","title":"bitscan_forward_inner","content":"pub fn bitscan_forward_inner(\n  bitboard: Bitboard,\n  index: Int,\n) -&gt; Int\n\nSynonyms:\nbitboard.bitscan_forward_inner\nbitboard bitscan_forward_inner","url":"bitboard.html#bitscan_forward_inner"},{"doc":"bitboard","title":"empty_bitboard","content":"pub fn empty_bitboard() -&gt; Bitboard\n\nSynonyms:\nbitboard.empty_bitboard\nbitboard empty_bitboard","url":"bitboard.html#empty_bitboard"},{"doc":"bitboard","title":"exclusive_or","content":"pub fn exclusive_or(\n  bitboard1: Bitboard,\n  bitboard2: Bitboard,\n) -&gt; Bitboard\n\nSynonyms:\nbitboard.exclusive_or\nbitboard exclusive_or","url":"bitboard.html#exclusive_or"},{"doc":"bitboard","title":"full_bitboard","content":"pub fn full_bitboard() -&gt; Bitboard\n\nSynonyms:\nbitboard.full_bitboard\nbitboard full_bitboard","url":"bitboard.html#full_bitboard"},{"doc":"bitboard","title":"new_bitboard","content":"pub fn new_bitboard(bitboard: Int) -&gt; Bitboard\n\nSynonyms:\nbitboard.new_bitboard\nbitboard new_bitboard","url":"bitboard.html#new_bitboard"},{"doc":"bitboard","title":"not","content":"pub fn not(bitboard: Bitboard) -&gt; Bitboard\n\nSynonyms:\nbitboard.not\nbitboard not","url":"bitboard.html#not"},{"doc":"bitboard","title":"or","content":"pub fn or(bitboard1: Bitboard, bitboard2: Bitboard) -&gt; Bitboard\n\nSynonyms:\nbitboard.or\nbitboard or","url":"bitboard.html#or"},{"doc":"bitboard","title":"shift_left","content":"pub fn shift_left(bitboard: Bitboard, shift: Int) -&gt; Bitboard\n\nSynonyms:\nbitboard.shift_left\nbitboard shift_left","url":"bitboard.html#shift_left"},{"doc":"bitboard","title":"shift_right","content":"pub fn shift_right(bitboard: Bitboard, shift: Int) -&gt; Bitboard\n\nSynonyms:\nbitboard.shift_right\nbitboard shift_right","url":"bitboard.html#shift_right"},{"doc":"bitboard","title":"bitboard","content":"","url":"bitboard.html"},{"doc":"color","title":"Color","content":"pub type Color {\n  White\n  Black\n}\n\nWhite\n\n\nBlack\n\n\nSynonyms:\ncolor.Color\ncolor Color","url":"color.html#Color"},{"doc":"color","title":"to_string","content":"pub fn to_string(color: Color) -&gt; String\n\nSynonyms:\ncolor.to_string\ncolor to_string","url":"color.html#to_string"},{"doc":"color","title":"color","content":"","url":"color.html"},{"doc":"position","title":"File","content":"pub type File {\n  A\n  B\n  C\n  D\n  E\n  F\n  G\n  H\n}\n\nA\n\n\nB\n\n\nC\n\n\nD\n\n\nE\n\n\nF\n\n\nG\n\n\nH\n\n\nSynonyms:\nposition.File\nposition File","url":"position.html#File"},{"doc":"position","title":"Position","content":"pub type Position {\n  Position(file: File, rank: Rank)\n}\n\nPosition(file: File, rank: Rank)\n\n\nSynonyms:\nposition.Position\nposition Position","url":"position.html#Position"},{"doc":"position","title":"Rank","content":"pub type Rank {\n  One\n  Two\n  Three\n  Four\n  Five\n  Six\n  Seven\n  Eight\n}\n\nOne\n\n\nTwo\n\n\nThree\n\n\nFour\n\n\nFive\n\n\nSix\n\n\nSeven\n\n\nEight\n\n\nSynonyms:\nposition.Rank\nposition Rank","url":"position.html#Rank"},{"doc":"position","title":"are_the_same","content":"pub fn are_the_same(\n  position1: Position,\n  position2: Position,\n) -&gt; Bool\n\nSynonyms:\nposition.are_the_same\nposition are_the_same","url":"position.html#are_the_same"},{"doc":"position","title":"distance_between","content":"pub fn distance_between(\n  position1: Position,\n  position2: Position,\n) -&gt; Int\n\nSynonyms:\nposition.distance_between\nposition distance_between","url":"position.html#distance_between"},{"doc":"position","title":"file_to_int","content":"pub fn file_to_int(file: File) -&gt; Int\n\nSynonyms:\nposition.file_to_int\nposition file_to_int","url":"position.html#file_to_int"},{"doc":"position","title":"file_to_string","content":"pub fn file_to_string(file: File) -&gt; String\n\nSynonyms:\nposition.file_to_string\nposition file_to_string","url":"position.html#file_to_string"},{"doc":"position","title":"from_int","content":"pub fn from_int(i: Int) -&gt; Option(Position)\n\nSynonyms:\nposition.from_int\nposition from_int","url":"position.html#from_int"},{"doc":"position","title":"get_file","content":"pub fn get_file(file: File, y: Int) -&gt; File\n\nSynonyms:\nposition.get_file\nposition get_file","url":"position.html#get_file"},{"doc":"position","title":"get_file_relative","content":"pub fn get_file_relative(\n  file: File,\n  y: Int,\n  relative_to: Color,\n) -&gt; File\n\nSynonyms:\nposition.get_file_relative\nposition get_file_relative","url":"position.html#get_file_relative"},{"doc":"position","title":"get_position","content":"pub fn get_position(\n  position: Position,\n  x: Int,\n  y: Int,\n) -&gt; Position\n\nSynonyms:\nposition.get_position\nposition get_position","url":"position.html#get_position"},{"doc":"position","title":"get_position_relative","content":"pub fn get_position_relative(\n  position: Position,\n  x: Int,\n  y: Int,\n  relative_to: Color,\n) -&gt; Position\n\nSynonyms:\nposition.get_position_relative\nposition get_position_relative","url":"position.html#get_position_relative"},{"doc":"position","title":"get_rank","content":"pub fn get_rank(rank: Rank, x: Int) -&gt; Rank\n\nSynonyms:\nposition.get_rank\nposition get_rank","url":"position.html#get_rank"},{"doc":"position","title":"get_rank_relative","content":"pub fn get_rank_relative(\n  rank: Rank,\n  x: Int,\n  relative_to: Color,\n) -&gt; Rank\n\nSynonyms:\nposition.get_rank_relative\nposition get_rank_relative","url":"position.html#get_rank_relative"},{"doc":"position","title":"get_rear_black_rank","content":"pub fn get_rear_black_rank(rank: Rank) -&gt; Rank\n\nSynonyms:\nposition.get_rear_black_rank\nposition get_rear_black_rank","url":"position.html#get_rear_black_rank"},{"doc":"position","title":"get_rear_position","content":"pub fn get_rear_position(\n  position: Position,\n  color: Color,\n) -&gt; Position\n\nSynonyms:\nposition.get_rear_position\nposition get_rear_position","url":"position.html#get_rear_position"},{"doc":"position","title":"get_rear_rank","content":"pub fn get_rear_rank(rank: Rank, color: Color) -&gt; Rank\n\nSynonyms:\nposition.get_rear_rank\nposition get_rear_rank","url":"position.html#get_rear_rank"},{"doc":"position","title":"get_rear_white_rank","content":"pub fn get_rear_white_rank(rank: Rank) -&gt; Rank\n\nSynonyms:\nposition.get_rear_white_rank\nposition get_rear_white_rank","url":"position.html#get_rear_white_rank"},{"doc":"position","title":"int_to_file","content":"pub fn int_to_file(i: Int) -&gt; File\n\nSynonyms:\nposition.int_to_file\nposition int_to_file","url":"position.html#int_to_file"},{"doc":"position","title":"int_to_rank","content":"pub fn int_to_rank(i: Int) -&gt; Rank\n\nSynonyms:\nposition.int_to_rank\nposition int_to_rank","url":"position.html#int_to_rank"},{"doc":"position","title":"rank_to_int","content":"pub fn rank_to_int(rank: Rank) -&gt; Int\n\nSynonyms:\nposition.rank_to_int\nposition rank_to_int","url":"position.html#rank_to_int"},{"doc":"position","title":"rank_to_string","content":"pub fn rank_to_string(rank: Rank) -&gt; String\n\nSynonyms:\nposition.rank_to_string\nposition rank_to_string","url":"position.html#rank_to_string"},{"doc":"position","title":"to_bitboard","content":"pub fn to_bitboard(position: Position) -&gt; Bitboard\n\nSynonyms:\nposition.to_bitboard\nposition to_bitboard","url":"position.html#to_bitboard"},{"doc":"position","title":"to_int","content":"pub fn to_int(position: Position) -&gt; Int\n\nSynonyms:\nposition.to_int\nposition to_int","url":"position.html#to_int"},{"doc":"position","title":"to_string","content":"pub fn to_string(position: Position) -&gt; String\n\nSynonyms:\nposition.to_string\nposition to_string","url":"position.html#to_string"},{"doc":"position","title":"position","content":"","url":"position.html"},{"doc":"piece","title":"Kind","content":"pub type Kind {\n  Pawn\n  Knight\n  Bishop\n  Rook\n  Queen\n  King\n}\n\nPawn\n\n\nKnight\n\n\nBishop\n\n\nRook\n\n\nQueen\n\n\nKing\n\n\nSynonyms:\npiece.Kind\npiece Kind","url":"piece.html#Kind"},{"doc":"piece","title":"Piece","content":"pub type Piece {\n  Piece(color: Color, kind: Kind)\n}\n\nPiece(color: Color, kind: Kind)\n\n\nSynonyms:\npiece.Piece\npiece Piece","url":"piece.html#Piece"},{"doc":"piece","title":"to_string","content":"pub fn to_string(piece: Piece) -&gt; String\n\nSynonyms:\npiece.to_string\npiece to_string","url":"piece.html#to_string"},{"doc":"piece","title":"piece","content":"","url":"piece.html"},{"doc":"board","title":"BoardBB","content":"pub type BoardBB {\n  BoardBB(\n    black_king_bitboard: bitboard.Bitboard,\n    black_queen_bitboard: bitboard.Bitboard,\n    black_rook_bitboard: bitboard.Bitboard,\n    black_bishop_bitboard: bitboard.Bitboard,\n    black_knight_bitboard: bitboard.Bitboard,\n    black_pawns_bitboard: bitboard.Bitboard,\n    white_king_bitboard: bitboard.Bitboard,\n    white_queen_bitboard: bitboard.Bitboard,\n    white_rook_bitboard: bitboard.Bitboard,\n    white_bishop_bitboard: bitboard.Bitboard,\n    white_knight_bitboard: bitboard.Bitboard,\n    white_pawns_bitboard: bitboard.Bitboard,\n  )\n}\n\nBoardBB(\n  black_king_bitboard: bitboard.Bitboard,\n  black_queen_bitboard: bitboard.Bitboard,\n  black_rook_bitboard: bitboard.Bitboard,\n  black_bishop_bitboard: bitboard.Bitboard,\n  black_knight_bitboard: bitboard.Bitboard,\n  black_pawns_bitboard: bitboard.Bitboard,\n  white_king_bitboard: bitboard.Bitboard,\n  white_queen_bitboard: bitboard.Bitboard,\n  white_rook_bitboard: bitboard.Bitboard,\n  white_bishop_bitboard: bitboard.Bitboard,\n  white_knight_bitboard: bitboard.Bitboard,\n  white_pawns_bitboard: bitboard.Bitboard,\n)\n\n\nSynonyms:\nboard.BoardBB\nboard BoardBB","url":"board.html#BoardBB"},{"doc":"board","title":"from_position","content":"pub fn from_position(position: Position) -&gt; Bitboard\n\nSynonyms:\nboard.from_position\nboard from_position","url":"board.html#from_position"},{"doc":"board","title":"get_piece_at_position","content":"pub fn get_piece_at_position(\n  board: BoardBB,\n  position: Position,\n) -&gt; Option(Piece)\n\nSynonyms:\nboard.get_piece_at_position\nboard get_piece_at_position","url":"board.html#get_piece_at_position"},{"doc":"board","title":"get_positions","content":"pub fn get_positions(bitboard: Bitboard) -&gt; List(Position)\n\nSynonyms:\nboard.get_positions\nboard get_positions","url":"board.html#get_positions"},{"doc":"board","title":"get_positions_inner","content":"pub fn get_positions_inner(\n  bitboard: Bitboard,\n  count: Int,\n) -&gt; List(Position)\n\nSynonyms:\nboard.get_positions_inner\nboard get_positions_inner","url":"board.html#get_positions_inner"},{"doc":"board","title":"remove_piece_at_position","content":"pub fn remove_piece_at_position(\n  board: BoardBB,\n  position: Position,\n) -&gt; Option(BoardBB)\n\nSynonyms:\nboard.remove_piece_at_position\nboard remove_piece_at_position","url":"board.html#remove_piece_at_position"},{"doc":"board","title":"set_piece_at_position","content":"pub fn set_piece_at_position(\n  board: BoardBB,\n  position: Position,\n  piece: Piece,\n) -&gt; BoardBB\n\nSynonyms:\nboard.set_piece_at_position\nboard set_piece_at_position","url":"board.html#set_piece_at_position"},{"doc":"board","title":"board","content":"","url":"board.html"},{"doc":"fen","title":"CastlingStatus","content":"pub type CastlingStatus {\n  CastlingStatus(\n    white_kingside: Bool,\n    white_queenside: Bool,\n    black_kingside: Bool,\n    black_queenside: Bool,\n  )\n}\n\nCastlingStatus(\n  white_kingside: Bool,\n  white_queenside: Bool,\n  black_kingside: Bool,\n  black_queenside: Bool,\n)\n\n\nSynonyms:\nfen.CastlingStatus\nfen CastlingStatus","url":"fen.html#CastlingStatus"},{"doc":"fen","title":"Fen","content":"pub type Fen {\n  Fen(\n    board: BoardBB,\n    turn: Color,\n    castling: CastlingStatus,\n    en_passant: Option(Position),\n    halfmove: HalfMove,\n    fullmove: FullMove,\n  )\n}\n\nFen(\n  board: BoardBB,\n  turn: Color,\n  castling: CastlingStatus,\n  en_passant: Option(Position),\n  halfmove: HalfMove,\n  fullmove: FullMove,\n)\n\n\nSynonyms:\nfen.Fen\nfen Fen","url":"fen.html#Fen"},{"doc":"fen","title":"FullMove","content":"pub type FullMove =\n  Int\n\n\nSynonyms:\nfen.FullMove\nfen FullMove","url":"fen.html#FullMove"},{"doc":"fen","title":"HalfMove","content":"pub type HalfMove =\n  Int\n\n\nSynonyms:\nfen.HalfMove\nfen HalfMove","url":"fen.html#HalfMove"},{"doc":"fen","title":"from_string","content":"pub fn from_string(fen: String) -&gt; Fen\n\nSynonyms:\nfen.from_string\nfen from_string","url":"fen.html#from_string"},{"doc":"fen","title":"parse_board","content":"pub fn parse_board(board_string: String) -&gt; BoardBB\n\nSynonyms:\nfen.parse_board\nfen parse_board","url":"fen.html#parse_board"},{"doc":"fen","title":"fen","content":"","url":"fen.html"},{"doc":"board_map","title":"BoardMap","content":"pub type BoardMap =\n  map.Map(Position, Option(Piece))\n\n\nSynonyms:\nboard_map.BoardMap\nboard_map BoardMap","url":"board_map.html#BoardMap"},{"doc":"board_map","title":"from_fen","content":"pub fn from_fen(fen: String) -&gt; BoardBB\n\nSynonyms:\nboard_map.from_fen\nboard_map from_fen","url":"board_map.html#from_fen"},{"doc":"board_map","title":"board_map","content":"","url":"board_map.html"},{"doc":"move","title":"Move","content":"pub type Move {\n  Normal(\n    from: Position,\n    to: Position,\n    captured: Option(Piece),\n    promotion: Option(Piece),\n  )\n  Castle(from: Position, to: Position)\n  EnPassant(from: Position, to: Position)\n}\n\nNormal(\n  from: Position,\n  to: Position,\n  captured: Option(Piece),\n  promotion: Option(Piece),\n)\n\n\nCastle(from: Position, to: Position)\n\n\nEnPassant(from: Position, to: Position)\n\n\nSynonyms:\nmove.Move\nmove Move","url":"move.html#Move"},{"doc":"move","title":"to_string","content":"pub fn to_string(move: Move) -&gt; String\n\nSynonyms:\nmove.to_string\nmove to_string","url":"move.html#to_string"},{"doc":"move","title":"move","content":"","url":"move.html"},{"doc":"ray","title":"a1_east","content":"pub const a1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_11111110,\n)\n\nSynonyms:\nray.a1_east\nray a1_east","url":"ray.html#a1_east"},{"doc":"ray","title":"a1_north","content":"pub const a1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000001_00000001_00000001_00000001_00000001_00000001_00000000,\n)\n\nSynonyms:\nray.a1_north\nray a1_north","url":"ray.html#a1_north"},{"doc":"ray","title":"a1_north_east","content":"pub const a1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_01000000_00100000_00010000_00001000_00000100_00000010_00000000,\n)\n\nSynonyms:\nray.a1_north_east\nray a1_north_east","url":"ray.html#a1_north_east"},{"doc":"ray","title":"a1_north_west","content":"pub const a1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a1_north_west\nray a1_north_west","url":"ray.html#a1_north_west"},{"doc":"ray","title":"a1_south","content":"pub const a1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a1_south\nray a1_south","url":"ray.html#a1_south"},{"doc":"ray","title":"a1_south_east","content":"pub const a1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a1_south_east\nray a1_south_east","url":"ray.html#a1_south_east"},{"doc":"ray","title":"a1_south_west","content":"pub const a1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a1_south_west\nray a1_south_west","url":"ray.html#a1_south_west"},{"doc":"ray","title":"a1_west","content":"pub const a1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a1_west\nray a1_west","url":"ray.html#a1_west"},{"doc":"ray","title":"a2_east","content":"pub const a2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_11111110_00000000,\n)\n\nSynonyms:\nray.a2_east\nray a2_east","url":"ray.html#a2_east"},{"doc":"ray","title":"a2_north","content":"pub const a2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000001_00000001_00000001_00000001_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.a2_north\nray a2_north","url":"ray.html#a2_north"},{"doc":"ray","title":"a2_north_east","content":"pub const a2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00100000_00010000_00001000_00000100_00000010_00000000_00000000,\n)\n\nSynonyms:\nray.a2_north_east\nray a2_north_east","url":"ray.html#a2_north_east"},{"doc":"ray","title":"a2_north_west","content":"pub const a2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a2_north_west\nray a2_north_west","url":"ray.html#a2_north_west"},{"doc":"ray","title":"a2_south","content":"pub const a2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000001,\n)\n\nSynonyms:\nray.a2_south\nray a2_south","url":"ray.html#a2_south"},{"doc":"ray","title":"a2_south_east","content":"pub const a2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000010,\n)\n\nSynonyms:\nray.a2_south_east\nray a2_south_east","url":"ray.html#a2_south_east"},{"doc":"ray","title":"a2_south_west","content":"pub const a2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a2_south_west\nray a2_south_west","url":"ray.html#a2_south_west"},{"doc":"ray","title":"a2_west","content":"pub const a2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a2_west\nray a2_west","url":"ray.html#a2_west"},{"doc":"ray","title":"a3_east","content":"pub const a3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_11111110_00000000_00000000,\n)\n\nSynonyms:\nray.a3_east\nray a3_east","url":"ray.html#a3_east"},{"doc":"ray","title":"a3_north","content":"pub const a3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000001_00000001_00000001_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a3_north\nray a3_north","url":"ray.html#a3_north"},{"doc":"ray","title":"a3_north_east","content":"pub const a3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00010000_00001000_00000100_00000010_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a3_north_east\nray a3_north_east","url":"ray.html#a3_north_east"},{"doc":"ray","title":"a3_north_west","content":"pub const a3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a3_north_west\nray a3_north_west","url":"ray.html#a3_north_west"},{"doc":"ray","title":"a3_south","content":"pub const a3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000001_00000001,\n)\n\nSynonyms:\nray.a3_south\nray a3_south","url":"ray.html#a3_south"},{"doc":"ray","title":"a3_south_east","content":"pub const a3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000010_00000100,\n)\n\nSynonyms:\nray.a3_south_east\nray a3_south_east","url":"ray.html#a3_south_east"},{"doc":"ray","title":"a3_south_west","content":"pub const a3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a3_south_west\nray a3_south_west","url":"ray.html#a3_south_west"},{"doc":"ray","title":"a3_west","content":"pub const a3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a3_west\nray a3_west","url":"ray.html#a3_west"},{"doc":"ray","title":"a4_east","content":"pub const a4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_11111110_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a4_east\nray a4_east","url":"ray.html#a4_east"},{"doc":"ray","title":"a4_north","content":"pub const a4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000001_00000001_00000001_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a4_north\nray a4_north","url":"ray.html#a4_north"},{"doc":"ray","title":"a4_north_east","content":"pub const a4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00001000_00000100_00000010_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a4_north_east\nray a4_north_east","url":"ray.html#a4_north_east"},{"doc":"ray","title":"a4_north_west","content":"pub const a4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a4_north_west\nray a4_north_west","url":"ray.html#a4_north_west"},{"doc":"ray","title":"a4_south","content":"pub const a4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000001_00000001_00000001,\n)\n\nSynonyms:\nray.a4_south\nray a4_south","url":"ray.html#a4_south"},{"doc":"ray","title":"a4_south_east","content":"pub const a4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000010_00000100_00001000,\n)\n\nSynonyms:\nray.a4_south_east\nray a4_south_east","url":"ray.html#a4_south_east"},{"doc":"ray","title":"a4_south_west","content":"pub const a4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a4_south_west\nray a4_south_west","url":"ray.html#a4_south_west"},{"doc":"ray","title":"a4_west","content":"pub const a4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a4_west\nray a4_west","url":"ray.html#a4_west"},{"doc":"ray","title":"a5_east","content":"pub const a5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_11111110_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a5_east\nray a5_east","url":"ray.html#a5_east"},{"doc":"ray","title":"a5_north","content":"pub const a5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000001_00000001_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a5_north\nray a5_north","url":"ray.html#a5_north"},{"doc":"ray","title":"a5_north_east","content":"pub const a5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00000100_00000010_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a5_north_east\nray a5_north_east","url":"ray.html#a5_north_east"},{"doc":"ray","title":"a5_north_west","content":"pub const a5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a5_north_west\nray a5_north_west","url":"ray.html#a5_north_west"},{"doc":"ray","title":"a5_south","content":"pub const a5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000001_00000001_00000001_00000001,\n)\n\nSynonyms:\nray.a5_south\nray a5_south","url":"ray.html#a5_south"},{"doc":"ray","title":"a5_south_east","content":"pub const a5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000010_00000100_00001000_00010000,\n)\n\nSynonyms:\nray.a5_south_east\nray a5_south_east","url":"ray.html#a5_south_east"},{"doc":"ray","title":"a5_south_west","content":"pub const a5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a5_south_west\nray a5_south_west","url":"ray.html#a5_south_west"},{"doc":"ray","title":"a5_west","content":"pub const a5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a5_west\nray a5_west","url":"ray.html#a5_west"},{"doc":"ray","title":"a6_east","content":"pub const a6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_11111110_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a6_east\nray a6_east","url":"ray.html#a6_east"},{"doc":"ray","title":"a6_north","content":"pub const a6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000001_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a6_north\nray a6_north","url":"ray.html#a6_north"},{"doc":"ray","title":"a6_north_east","content":"pub const a6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000010_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a6_north_east\nray a6_north_east","url":"ray.html#a6_north_east"},{"doc":"ray","title":"a6_north_west","content":"pub const a6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a6_north_west\nray a6_north_west","url":"ray.html#a6_north_west"},{"doc":"ray","title":"a6_south","content":"pub const a6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000001_00000001_00000001_00000001,\n)\n\nSynonyms:\nray.a6_south\nray a6_south","url":"ray.html#a6_south"},{"doc":"ray","title":"a6_south_east","content":"pub const a6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000010_00000100_00001000_00010000_00100000,\n)\n\nSynonyms:\nray.a6_south_east\nray a6_south_east","url":"ray.html#a6_south_east"},{"doc":"ray","title":"a6_south_west","content":"pub const a6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a6_south_west\nray a6_south_west","url":"ray.html#a6_south_west"},{"doc":"ray","title":"a6_west","content":"pub const a6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a6_west\nray a6_west","url":"ray.html#a6_west"},{"doc":"ray","title":"a7_east","content":"pub const a7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_11111110_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a7_east\nray a7_east","url":"ray.html#a7_east"},{"doc":"ray","title":"a7_north","content":"pub const a7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a7_north\nray a7_north","url":"ray.html#a7_north"},{"doc":"ray","title":"a7_north_east","content":"pub const a7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a7_north_east\nray a7_north_east","url":"ray.html#a7_north_east"},{"doc":"ray","title":"a7_north_west","content":"pub const a7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a7_north_west\nray a7_north_west","url":"ray.html#a7_north_west"},{"doc":"ray","title":"a7_south","content":"pub const a7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000001_00000001_00000001_00000001_00000001,\n)\n\nSynonyms:\nray.a7_south\nray a7_south","url":"ray.html#a7_south"},{"doc":"ray","title":"a7_south_east","content":"pub const a7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000010_00000100_00001000_00010000_00100000_01000000,\n)\n\nSynonyms:\nray.a7_south_east\nray a7_south_east","url":"ray.html#a7_south_east"},{"doc":"ray","title":"a7_south_west","content":"pub const a7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a7_south_west\nray a7_south_west","url":"ray.html#a7_south_west"},{"doc":"ray","title":"a7_west","content":"pub const a7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a7_west\nray a7_west","url":"ray.html#a7_west"},{"doc":"ray","title":"a8_east","content":"pub const a8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b11111110_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a8_east\nray a8_east","url":"ray.html#a8_east"},{"doc":"ray","title":"a8_north","content":"pub const a8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a8_north\nray a8_north","url":"ray.html#a8_north"},{"doc":"ray","title":"a8_north_east","content":"pub const a8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a8_north_east\nray a8_north_east","url":"ray.html#a8_north_east"},{"doc":"ray","title":"a8_north_west","content":"pub const a8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a8_north_west\nray a8_north_west","url":"ray.html#a8_north_west"},{"doc":"ray","title":"a8_south","content":"pub const a8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000001_00000001_00000001_00000001_00000001_00000001,\n)\n\nSynonyms:\nray.a8_south\nray a8_south","url":"ray.html#a8_south"},{"doc":"ray","title":"a8_south_east","content":"pub const a8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000010_00000100_00001000_00010000_00100000_01000000_10000000,\n)\n\nSynonyms:\nray.a8_south_east\nray a8_south_east","url":"ray.html#a8_south_east"},{"doc":"ray","title":"a8_south_west","content":"pub const a8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a8_south_west\nray a8_south_west","url":"ray.html#a8_south_west"},{"doc":"ray","title":"a8_west","content":"pub const a8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.a8_west\nray a8_west","url":"ray.html#a8_west"},{"doc":"ray","title":"b1_east","content":"pub const b1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_11111100,\n)\n\nSynonyms:\nray.b1_east\nray b1_east","url":"ray.html#b1_east"},{"doc":"ray","title":"b1_north","content":"pub const b1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000010_00000010_00000010_00000010_00000010_00000010_00000000,\n)\n\nSynonyms:\nray.b1_north\nray b1_north","url":"ray.html#b1_north"},{"doc":"ray","title":"b1_north_east","content":"pub const b1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_01000000_00100000_00010000_00001000_00000100_00000000,\n)\n\nSynonyms:\nray.b1_north_east\nray b1_north_east","url":"ray.html#b1_north_east"},{"doc":"ray","title":"b1_north_west","content":"pub const b1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000001_00000000,\n)\n\nSynonyms:\nray.b1_north_west\nray b1_north_west","url":"ray.html#b1_north_west"},{"doc":"ray","title":"b1_south","content":"pub const b1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b1_south\nray b1_south","url":"ray.html#b1_south"},{"doc":"ray","title":"b1_south_east","content":"pub const b1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b1_south_east\nray b1_south_east","url":"ray.html#b1_south_east"},{"doc":"ray","title":"b1_south_west","content":"pub const b1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b1_south_west\nray b1_south_west","url":"ray.html#b1_south_west"},{"doc":"ray","title":"b1_west","content":"pub const b1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000001,\n)\n\nSynonyms:\nray.b1_west\nray b1_west","url":"ray.html#b1_west"},{"doc":"ray","title":"b2_east","content":"pub const b2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_11111100_00000000,\n)\n\nSynonyms:\nray.b2_east\nray b2_east","url":"ray.html#b2_east"},{"doc":"ray","title":"b2_north","content":"pub const b2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000010_00000010_00000010_00000010_00000010_00000000_00000000,\n)\n\nSynonyms:\nray.b2_north\nray b2_north","url":"ray.html#b2_north"},{"doc":"ray","title":"b2_north_east","content":"pub const b2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_01000000_00100000_00010000_00001000_00000100_00000000_00000000,\n)\n\nSynonyms:\nray.b2_north_east\nray b2_north_east","url":"ray.html#b2_north_east"},{"doc":"ray","title":"b2_north_west","content":"pub const b2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.b2_north_west\nray b2_north_west","url":"ray.html#b2_north_west"},{"doc":"ray","title":"b2_south","content":"pub const b2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000010,\n)\n\nSynonyms:\nray.b2_south\nray b2_south","url":"ray.html#b2_south"},{"doc":"ray","title":"b2_south_east","content":"pub const b2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000100,\n)\n\nSynonyms:\nray.b2_south_east\nray b2_south_east","url":"ray.html#b2_south_east"},{"doc":"ray","title":"b2_south_west","content":"pub const b2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000001,\n)\n\nSynonyms:\nray.b2_south_west\nray b2_south_west","url":"ray.html#b2_south_west"},{"doc":"ray","title":"b2_west","content":"pub const b2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000001_00000000,\n)\n\nSynonyms:\nray.b2_west\nray b2_west","url":"ray.html#b2_west"},{"doc":"ray","title":"b3_east","content":"pub const b3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_11111100_00000000_00000000,\n)\n\nSynonyms:\nray.b3_east\nray b3_east","url":"ray.html#b3_east"},{"doc":"ray","title":"b3_north","content":"pub const b3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000010_00000010_00000010_00000010_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b3_north\nray b3_north","url":"ray.html#b3_north"},{"doc":"ray","title":"b3_north_east","content":"pub const b3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00100000_00010000_00001000_00000100_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b3_north_east\nray b3_north_east","url":"ray.html#b3_north_east"},{"doc":"ray","title":"b3_north_west","content":"pub const b3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b3_north_west\nray b3_north_west","url":"ray.html#b3_north_west"},{"doc":"ray","title":"b3_south","content":"pub const b3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000010_00000010,\n)\n\nSynonyms:\nray.b3_south\nray b3_south","url":"ray.html#b3_south"},{"doc":"ray","title":"b3_south_east","content":"pub const b3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000100_00001000,\n)\n\nSynonyms:\nray.b3_south_east\nray b3_south_east","url":"ray.html#b3_south_east"},{"doc":"ray","title":"b3_south_west","content":"pub const b3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000001_00000000,\n)\n\nSynonyms:\nray.b3_south_west\nray b3_south_west","url":"ray.html#b3_south_west"},{"doc":"ray","title":"b3_west","content":"pub const b3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.b3_west\nray b3_west","url":"ray.html#b3_west"},{"doc":"ray","title":"b4_east","content":"pub const b4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_11111100_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b4_east\nray b4_east","url":"ray.html#b4_east"},{"doc":"ray","title":"b4_north","content":"pub const b4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000010_00000010_00000010_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b4_north\nray b4_north","url":"ray.html#b4_north"},{"doc":"ray","title":"b4_north_east","content":"pub const b4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00010000_00001000_00000100_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b4_north_east\nray b4_north_east","url":"ray.html#b4_north_east"},{"doc":"ray","title":"b4_north_west","content":"pub const b4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b4_north_west\nray b4_north_west","url":"ray.html#b4_north_west"},{"doc":"ray","title":"b4_south","content":"pub const b4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000010_00000010_00000010,\n)\n\nSynonyms:\nray.b4_south\nray b4_south","url":"ray.html#b4_south"},{"doc":"ray","title":"b4_south_east","content":"pub const b4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000100_00001000_00010000,\n)\n\nSynonyms:\nray.b4_south_east\nray b4_south_east","url":"ray.html#b4_south_east"},{"doc":"ray","title":"b4_south_west","content":"pub const b4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.b4_south_west\nray b4_south_west","url":"ray.html#b4_south_west"},{"doc":"ray","title":"b4_west","content":"pub const b4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b4_west\nray b4_west","url":"ray.html#b4_west"},{"doc":"ray","title":"b5_east","content":"pub const b5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_11111100_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b5_east\nray b5_east","url":"ray.html#b5_east"},{"doc":"ray","title":"b5_north","content":"pub const b5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000010_00000010_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b5_north\nray b5_north","url":"ray.html#b5_north"},{"doc":"ray","title":"b5_north_east","content":"pub const b5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00001000_00000100_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b5_north_east\nray b5_north_east","url":"ray.html#b5_north_east"},{"doc":"ray","title":"b5_north_west","content":"pub const b5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b5_north_west\nray b5_north_west","url":"ray.html#b5_north_west"},{"doc":"ray","title":"b5_south","content":"pub const b5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000010_00000010_00000010_00000010,\n)\n\nSynonyms:\nray.b5_south\nray b5_south","url":"ray.html#b5_south"},{"doc":"ray","title":"b5_south_east","content":"pub const b5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000100_00001000_00010000_00100000,\n)\n\nSynonyms:\nray.b5_south_east\nray b5_south_east","url":"ray.html#b5_south_east"},{"doc":"ray","title":"b5_south_west","content":"pub const b5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b5_south_west\nray b5_south_west","url":"ray.html#b5_south_west"},{"doc":"ray","title":"b5_west","content":"pub const b5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b5_west\nray b5_west","url":"ray.html#b5_west"},{"doc":"ray","title":"b6_east","content":"pub const b6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_11111100_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b6_east\nray b6_east","url":"ray.html#b6_east"},{"doc":"ray","title":"b6_north","content":"pub const b6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000010_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b6_north\nray b6_north","url":"ray.html#b6_north"},{"doc":"ray","title":"b6_north_east","content":"pub const b6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00000100_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b6_north_east\nray b6_north_east","url":"ray.html#b6_north_east"},{"doc":"ray","title":"b6_north_west","content":"pub const b6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b6_north_west\nray b6_north_west","url":"ray.html#b6_north_west"},{"doc":"ray","title":"b6_south","content":"pub const b6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000010_00000010_00000010_00000010_00000010,\n)\n\nSynonyms:\nray.b6_south\nray b6_south","url":"ray.html#b6_south"},{"doc":"ray","title":"b6_south_east","content":"pub const b6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000100_00001000_00010000_00100000_01000000,\n)\n\nSynonyms:\nray.b6_south_east\nray b6_south_east","url":"ray.html#b6_south_east"},{"doc":"ray","title":"b6_south_west","content":"pub const b6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b6_south_west\nray b6_south_west","url":"ray.html#b6_south_west"},{"doc":"ray","title":"b6_west","content":"pub const b6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b6_west\nray b6_west","url":"ray.html#b6_west"},{"doc":"ray","title":"b7_east","content":"pub const b7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_11111100_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b7_east\nray b7_east","url":"ray.html#b7_east"},{"doc":"ray","title":"b7_north","content":"pub const b7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b7_north\nray b7_north","url":"ray.html#b7_north"},{"doc":"ray","title":"b7_north_east","content":"pub const b7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b7_north_east\nray b7_north_east","url":"ray.html#b7_north_east"},{"doc":"ray","title":"b7_north_west","content":"pub const b7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b7_north_west\nray b7_north_west","url":"ray.html#b7_north_west"},{"doc":"ray","title":"b7_south","content":"pub const b7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000010_00000010_00000010_00000010_00000010_00000010,\n)\n\nSynonyms:\nray.b7_south\nray b7_south","url":"ray.html#b7_south"},{"doc":"ray","title":"b7_south_east","content":"pub const b7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000100_00001000_00010000_00100000_01000000_10000000,\n)\n\nSynonyms:\nray.b7_south_east\nray b7_south_east","url":"ray.html#b7_south_east"},{"doc":"ray","title":"b7_south_west","content":"pub const b7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b7_south_west\nray b7_south_west","url":"ray.html#b7_south_west"},{"doc":"ray","title":"b7_west","content":"pub const b7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b7_west\nray b7_west","url":"ray.html#b7_west"},{"doc":"ray","title":"b8_east","content":"pub const b8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b11111100_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b8_east\nray b8_east","url":"ray.html#b8_east"},{"doc":"ray","title":"b8_north","content":"pub const b8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b8_north\nray b8_north","url":"ray.html#b8_north"},{"doc":"ray","title":"b8_north_east","content":"pub const b8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b8_north_east\nray b8_north_east","url":"ray.html#b8_north_east"},{"doc":"ray","title":"b8_north_west","content":"pub const b8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b8_north_west\nray b8_north_west","url":"ray.html#b8_north_west"},{"doc":"ray","title":"b8_south","content":"pub const b8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000010_00000010_00000010_00000010_00000010_00000010_00000010,\n)\n\nSynonyms:\nray.b8_south\nray b8_south","url":"ray.html#b8_south"},{"doc":"ray","title":"b8_south_east","content":"pub const b8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000100_00001000_00010000_00100000_01000000_10000000_00000000,\n)\n\nSynonyms:\nray.b8_south_east\nray b8_south_east","url":"ray.html#b8_south_east"},{"doc":"ray","title":"b8_south_west","content":"pub const b8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b8_south_west\nray b8_south_west","url":"ray.html#b8_south_west"},{"doc":"ray","title":"b8_west","content":"pub const b8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.b8_west\nray b8_west","url":"ray.html#b8_west"},{"doc":"ray","title":"c1_east","content":"pub const c1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_11111000,\n)\n\nSynonyms:\nray.c1_east\nray c1_east","url":"ray.html#c1_east"},{"doc":"ray","title":"c1_north","content":"pub const c1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000100_00000100_00000100_00000100_00000100_00000100_00000000,\n)\n\nSynonyms:\nray.c1_north\nray c1_north","url":"ray.html#c1_north"},{"doc":"ray","title":"c1_north_east","content":"pub const c1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_01000000_00100000_00010000_00001000_00000000,\n)\n\nSynonyms:\nray.c1_north_east\nray c1_north_east","url":"ray.html#c1_north_east"},{"doc":"ray","title":"c1_north_west","content":"pub const c1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000001_00000010_00000000,\n)\n\nSynonyms:\nray.c1_north_west\nray c1_north_west","url":"ray.html#c1_north_west"},{"doc":"ray","title":"c1_south","content":"pub const c1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c1_south\nray c1_south","url":"ray.html#c1_south"},{"doc":"ray","title":"c1_south_east","content":"pub const c1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c1_south_east\nray c1_south_east","url":"ray.html#c1_south_east"},{"doc":"ray","title":"c1_south_west","content":"pub const c1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c1_south_west\nray c1_south_west","url":"ray.html#c1_south_west"},{"doc":"ray","title":"c1_west","content":"pub const c1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000011,\n)\n\nSynonyms:\nray.c1_west\nray c1_west","url":"ray.html#c1_west"},{"doc":"ray","title":"c2_east","content":"pub const c2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_11111000_00000000,\n)\n\nSynonyms:\nray.c2_east\nray c2_east","url":"ray.html#c2_east"},{"doc":"ray","title":"c2_north","content":"pub const c2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000100_00000100_00000100_00000100_00000100_00000000_00000000,\n)\n\nSynonyms:\nray.c2_north\nray c2_north","url":"ray.html#c2_north"},{"doc":"ray","title":"c2_north_east","content":"pub const c2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_01000000_00100000_00010000_00001000_00000000_00000000,\n)\n\nSynonyms:\nray.c2_north_east\nray c2_north_east","url":"ray.html#c2_north_east"},{"doc":"ray","title":"c2_north_west","content":"pub const c2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000001_00000010_00000000_00000000,\n)\n\nSynonyms:\nray.c2_north_west\nray c2_north_west","url":"ray.html#c2_north_west"},{"doc":"ray","title":"c2_south","content":"pub const c2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000100,\n)\n\nSynonyms:\nray.c2_south\nray c2_south","url":"ray.html#c2_south"},{"doc":"ray","title":"c2_south_east","content":"pub const c2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00001000,\n)\n\nSynonyms:\nray.c2_south_east\nray c2_south_east","url":"ray.html#c2_south_east"},{"doc":"ray","title":"c2_south_west","content":"pub const c2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000010,\n)\n\nSynonyms:\nray.c2_south_west\nray c2_south_west","url":"ray.html#c2_south_west"},{"doc":"ray","title":"c2_west","content":"pub const c2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000011_00000000,\n)\n\nSynonyms:\nray.c2_west\nray c2_west","url":"ray.html#c2_west"},{"doc":"ray","title":"c3_east","content":"pub const c3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_11111000_00000000_00000000,\n)\n\nSynonyms:\nray.c3_east\nray c3_east","url":"ray.html#c3_east"},{"doc":"ray","title":"c3_north","content":"pub const c3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000100_00000100_00000100_00000100_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c3_north\nray c3_north","url":"ray.html#c3_north"},{"doc":"ray","title":"c3_north_east","content":"pub const c3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_01000000_00100000_00010000_00001000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c3_north_east\nray c3_north_east","url":"ray.html#c3_north_east"},{"doc":"ray","title":"c3_north_west","content":"pub const c3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000010_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c3_north_west\nray c3_north_west","url":"ray.html#c3_north_west"},{"doc":"ray","title":"c3_south","content":"pub const c3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000100_00000100,\n)\n\nSynonyms:\nray.c3_south\nray c3_south","url":"ray.html#c3_south"},{"doc":"ray","title":"c3_south_east","content":"pub const c3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00001000_00010000,\n)\n\nSynonyms:\nray.c3_south_east\nray c3_south_east","url":"ray.html#c3_south_east"},{"doc":"ray","title":"c3_south_west","content":"pub const c3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000010_00000001,\n)\n\nSynonyms:\nray.c3_south_west\nray c3_south_west","url":"ray.html#c3_south_west"},{"doc":"ray","title":"c3_west","content":"pub const c3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000011_00000000_00000000,\n)\n\nSynonyms:\nray.c3_west\nray c3_west","url":"ray.html#c3_west"},{"doc":"ray","title":"c4_east","content":"pub const c4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_11111000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c4_east\nray c4_east","url":"ray.html#c4_east"},{"doc":"ray","title":"c4_north","content":"pub const c4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000100_00000100_00000100_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c4_north\nray c4_north","url":"ray.html#c4_north"},{"doc":"ray","title":"c4_north_east","content":"pub const c4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00100000_00010000_00001000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c4_north_east\nray c4_north_east","url":"ray.html#c4_north_east"},{"doc":"ray","title":"c4_north_west","content":"pub const c4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000010_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c4_north_west\nray c4_north_west","url":"ray.html#c4_north_west"},{"doc":"ray","title":"c4_south","content":"pub const c4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000100_00000100_00000100,\n)\n\nSynonyms:\nray.c4_south\nray c4_south","url":"ray.html#c4_south"},{"doc":"ray","title":"c4_south_east","content":"pub const c4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00001000_00010000_00100000,\n)\n\nSynonyms:\nray.c4_south_east\nray c4_south_east","url":"ray.html#c4_south_east"},{"doc":"ray","title":"c4_south_west","content":"pub const c4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000010_00000001_00000000,\n)\n\nSynonyms:\nray.c4_south_west\nray c4_south_west","url":"ray.html#c4_south_west"},{"doc":"ray","title":"c4_west","content":"pub const c4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000011_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c4_west\nray c4_west","url":"ray.html#c4_west"},{"doc":"ray","title":"c5_east","content":"pub const c5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_11111000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c5_east\nray c5_east","url":"ray.html#c5_east"},{"doc":"ray","title":"c5_north","content":"pub const c5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000100_00000100_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c5_north\nray c5_north","url":"ray.html#c5_north"},{"doc":"ray","title":"c5_north_east","content":"pub const c5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00010000_00001000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c5_north_east\nray c5_north_east","url":"ray.html#c5_north_east"},{"doc":"ray","title":"c5_north_west","content":"pub const c5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000010_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c5_north_west\nray c5_north_west","url":"ray.html#c5_north_west"},{"doc":"ray","title":"c5_south","content":"pub const c5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000100_00000100_00000100_00000100,\n)\n\nSynonyms:\nray.c5_south\nray c5_south","url":"ray.html#c5_south"},{"doc":"ray","title":"c5_south_east","content":"pub const c5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00001000_00010000_00100000_01000000,\n)\n\nSynonyms:\nray.c5_south_east\nray c5_south_east","url":"ray.html#c5_south_east"},{"doc":"ray","title":"c5_south_west","content":"pub const c5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000010_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.c5_south_west\nray c5_south_west","url":"ray.html#c5_south_west"},{"doc":"ray","title":"c5_west","content":"pub const c5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000011_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c5_west\nray c5_west","url":"ray.html#c5_west"},{"doc":"ray","title":"c6_east","content":"pub const c6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_11111000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c6_east\nray c6_east","url":"ray.html#c6_east"},{"doc":"ray","title":"c6_north","content":"pub const c6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000100_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c6_north\nray c6_north","url":"ray.html#c6_north"},{"doc":"ray","title":"c6_north_east","content":"pub const c6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00001000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c6_north_east\nray c6_north_east","url":"ray.html#c6_north_east"},{"doc":"ray","title":"c6_north_west","content":"pub const c6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000010_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c6_north_west\nray c6_north_west","url":"ray.html#c6_north_west"},{"doc":"ray","title":"c6_south","content":"pub const c6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000100_00000100_00000100_00000100_00000100,\n)\n\nSynonyms:\nray.c6_south\nray c6_south","url":"ray.html#c6_south"},{"doc":"ray","title":"c6_south_east","content":"pub const c6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00001000_00010000_00100000_01000000_10000000,\n)\n\nSynonyms:\nray.c6_south_east\nray c6_south_east","url":"ray.html#c6_south_east"},{"doc":"ray","title":"c6_south_west","content":"pub const c6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000010_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c6_south_west\nray c6_south_west","url":"ray.html#c6_south_west"},{"doc":"ray","title":"c6_west","content":"pub const c6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000011_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c6_west\nray c6_west","url":"ray.html#c6_west"},{"doc":"ray","title":"c7_east","content":"pub const c7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_11111000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c7_east\nray c7_east","url":"ray.html#c7_east"},{"doc":"ray","title":"c7_north","content":"pub const c7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c7_north\nray c7_north","url":"ray.html#c7_north"},{"doc":"ray","title":"c7_north_east","content":"pub const c7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c7_north_east\nray c7_north_east","url":"ray.html#c7_north_east"},{"doc":"ray","title":"c7_north_west","content":"pub const c7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c7_north_west\nray c7_north_west","url":"ray.html#c7_north_west"},{"doc":"ray","title":"c7_south","content":"pub const c7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000100_00000100_00000100_00000100_00000100_00000100,\n)\n\nSynonyms:\nray.c7_south\nray c7_south","url":"ray.html#c7_south"},{"doc":"ray","title":"c7_south_east","content":"pub const c7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00001000_00010000_00100000_01000000_10000000_00000000,\n)\n\nSynonyms:\nray.c7_south_east\nray c7_south_east","url":"ray.html#c7_south_east"},{"doc":"ray","title":"c7_south_west","content":"pub const c7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000010_00000001_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c7_south_west\nray c7_south_west","url":"ray.html#c7_south_west"},{"doc":"ray","title":"c7_west","content":"pub const c7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000011_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c7_west\nray c7_west","url":"ray.html#c7_west"},{"doc":"ray","title":"c8_east","content":"pub const c8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b11111000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_east\nray c8_east","url":"ray.html#c8_east"},{"doc":"ray","title":"c8_north","content":"pub const c8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_north\nray c8_north","url":"ray.html#c8_north"},{"doc":"ray","title":"c8_north_east","content":"pub const c8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_north_east\nray c8_north_east","url":"ray.html#c8_north_east"},{"doc":"ray","title":"c8_north_west","content":"pub const c8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_north_west\nray c8_north_west","url":"ray.html#c8_north_west"},{"doc":"ray","title":"c8_south","content":"pub const c8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000100_00000100_00000100_00000100_00000100_00000100_00000100,\n)\n\nSynonyms:\nray.c8_south\nray c8_south","url":"ray.html#c8_south"},{"doc":"ray","title":"c8_south_east","content":"pub const c8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00001000_00010000_00100000_01000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_south_east\nray c8_south_east","url":"ray.html#c8_south_east"},{"doc":"ray","title":"c8_south_west","content":"pub const c8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000010_00000001_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_south_west\nray c8_south_west","url":"ray.html#c8_south_west"},{"doc":"ray","title":"c8_west","content":"pub const c8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000011_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.c8_west\nray c8_west","url":"ray.html#c8_west"},{"doc":"ray","title":"d1_east","content":"pub const d1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_11110000,\n)\n\nSynonyms:\nray.d1_east\nray d1_east","url":"ray.html#d1_east"},{"doc":"ray","title":"d1_north","content":"pub const d1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00001000_00001000_00001000_00001000_00001000_00001000_00000000,\n)\n\nSynonyms:\nray.d1_north\nray d1_north","url":"ray.html#d1_north"},{"doc":"ray","title":"d1_north_east","content":"pub const d1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_01000000_00100000_00010000_00000000,\n)\n\nSynonyms:\nray.d1_north_east\nray d1_north_east","url":"ray.html#d1_north_east"},{"doc":"ray","title":"d1_north_west","content":"pub const d1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000001_00000010_00000100_00000000,\n)\n\nSynonyms:\nray.d1_north_west\nray d1_north_west","url":"ray.html#d1_north_west"},{"doc":"ray","title":"d1_south","content":"pub const d1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d1_south\nray d1_south","url":"ray.html#d1_south"},{"doc":"ray","title":"d1_south_east","content":"pub const d1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d1_south_east\nray d1_south_east","url":"ray.html#d1_south_east"},{"doc":"ray","title":"d1_south_west","content":"pub const d1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d1_south_west\nray d1_south_west","url":"ray.html#d1_south_west"},{"doc":"ray","title":"d1_west","content":"pub const d1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000111,\n)\n\nSynonyms:\nray.d1_west\nray d1_west","url":"ray.html#d1_west"},{"doc":"ray","title":"d2_east","content":"pub const d2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_11110000_00000000,\n)\n\nSynonyms:\nray.d2_east\nray d2_east","url":"ray.html#d2_east"},{"doc":"ray","title":"d2_north","content":"pub const d2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00001000_00001000_00001000_00001000_00001000_00000000_00000000,\n)\n\nSynonyms:\nray.d2_north\nray d2_north","url":"ray.html#d2_north"},{"doc":"ray","title":"d2_north_east","content":"pub const d2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_01000000_00100000_00010000_00000000_00000000,\n)\n\nSynonyms:\nray.d2_north_east\nray d2_north_east","url":"ray.html#d2_north_east"},{"doc":"ray","title":"d2_north_west","content":"pub const d2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000010_00000100_00000000_00000000,\n)\n\nSynonyms:\nray.d2_north_west\nray d2_north_west","url":"ray.html#d2_north_west"},{"doc":"ray","title":"d2_south","content":"pub const d2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00001000,\n)\n\nSynonyms:\nray.d2_south\nray d2_south","url":"ray.html#d2_south"},{"doc":"ray","title":"d2_south_east","content":"pub const d2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00010000,\n)\n\nSynonyms:\nray.d2_south_east\nray d2_south_east","url":"ray.html#d2_south_east"},{"doc":"ray","title":"d2_south_west","content":"pub const d2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000100,\n)\n\nSynonyms:\nray.d2_south_west\nray d2_south_west","url":"ray.html#d2_south_west"},{"doc":"ray","title":"d2_west","content":"pub const d2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000111_00000000,\n)\n\nSynonyms:\nray.d2_west\nray d2_west","url":"ray.html#d2_west"},{"doc":"ray","title":"d3_east","content":"pub const d3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_11110000_00000000_00000000,\n)\n\nSynonyms:\nray.d3_east\nray d3_east","url":"ray.html#d3_east"},{"doc":"ray","title":"d3_north","content":"pub const d3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00001000_00001000_00001000_00001000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d3_north\nray d3_north","url":"ray.html#d3_north"},{"doc":"ray","title":"d3_north_east","content":"pub const d3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_01000000_00100000_00010000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d3_north_east\nray d3_north_east","url":"ray.html#d3_north_east"},{"doc":"ray","title":"d3_north_west","content":"pub const d3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000010_00000100_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d3_north_west\nray d3_north_west","url":"ray.html#d3_north_west"},{"doc":"ray","title":"d3_south","content":"pub const d3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00001000_00001000,\n)\n\nSynonyms:\nray.d3_south\nray d3_south","url":"ray.html#d3_south"},{"doc":"ray","title":"d3_south_east","content":"pub const d3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00010000_00100000,\n)\n\nSynonyms:\nray.d3_south_east\nray d3_south_east","url":"ray.html#d3_south_east"},{"doc":"ray","title":"d3_south_west","content":"pub const d3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000100_00000010,\n)\n\nSynonyms:\nray.d3_south_west\nray d3_south_west","url":"ray.html#d3_south_west"},{"doc":"ray","title":"d3_west","content":"pub const d3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000111_00000000_00000000,\n)\n\nSynonyms:\nray.d3_west\nray d3_west","url":"ray.html#d3_west"},{"doc":"ray","title":"d4_east","content":"pub const d4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_11110000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d4_east\nray d4_east","url":"ray.html#d4_east"},{"doc":"ray","title":"d4_north","content":"pub const d4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00001000_00001000_00001000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d4_north\nray d4_north","url":"ray.html#d4_north"},{"doc":"ray","title":"d4_north_east","content":"pub const d4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_01000000_00100000_00010000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d4_north_east\nray d4_north_east","url":"ray.html#d4_north_east"},{"doc":"ray","title":"d4_north_west","content":"pub const d4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000010_00000100_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d4_north_west\nray d4_north_west","url":"ray.html#d4_north_west"},{"doc":"ray","title":"d4_south","content":"pub const d4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00001000_00001000_00001000,\n)\n\nSynonyms:\nray.d4_south\nray d4_south","url":"ray.html#d4_south"},{"doc":"ray","title":"d4_south_east","content":"pub const d4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00010000_00100000_01000000,\n)\n\nSynonyms:\nray.d4_south_east\nray d4_south_east","url":"ray.html#d4_south_east"},{"doc":"ray","title":"d4_south_west","content":"pub const d4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000100_00000010_00000001,\n)\n\nSynonyms:\nray.d4_south_west\nray d4_south_west","url":"ray.html#d4_south_west"},{"doc":"ray","title":"d4_west","content":"pub const d4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000111_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d4_west\nray d4_west","url":"ray.html#d4_west"},{"doc":"ray","title":"d5_east","content":"pub const d5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_11110000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d5_east\nray d5_east","url":"ray.html#d5_east"},{"doc":"ray","title":"d5_north","content":"pub const d5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00001000_00001000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d5_north\nray d5_north","url":"ray.html#d5_north"},{"doc":"ray","title":"d5_north_east","content":"pub const d5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00100000_00010000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d5_north_east\nray d5_north_east","url":"ray.html#d5_north_east"},{"doc":"ray","title":"d5_north_west","content":"pub const d5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000010_00000100_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d5_north_west\nray d5_north_west","url":"ray.html#d5_north_west"},{"doc":"ray","title":"d5_south","content":"pub const d5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00001000_00001000_00001000_00001000,\n)\n\nSynonyms:\nray.d5_south\nray d5_south","url":"ray.html#d5_south"},{"doc":"ray","title":"d5_south_east","content":"pub const d5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00010000_00100000_01000000_10000000,\n)\n\nSynonyms:\nray.d5_south_east\nray d5_south_east","url":"ray.html#d5_south_east"},{"doc":"ray","title":"d5_south_west","content":"pub const d5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000100_00000010_00000001_00000000,\n)\n\nSynonyms:\nray.d5_south_west\nray d5_south_west","url":"ray.html#d5_south_west"},{"doc":"ray","title":"d5_west","content":"pub const d5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000111_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d5_west\nray d5_west","url":"ray.html#d5_west"},{"doc":"ray","title":"d6_east","content":"pub const d6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_11110000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d6_east\nray d6_east","url":"ray.html#d6_east"},{"doc":"ray","title":"d6_north","content":"pub const d6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00001000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d6_north\nray d6_north","url":"ray.html#d6_north"},{"doc":"ray","title":"d6_north_east","content":"pub const d6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00010000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d6_north_east\nray d6_north_east","url":"ray.html#d6_north_east"},{"doc":"ray","title":"d6_north_west","content":"pub const d6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000100_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d6_north_west\nray d6_north_west","url":"ray.html#d6_north_west"},{"doc":"ray","title":"d6_south","content":"pub const d6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00001000_00001000_00001000_00001000_00001000,\n)\n\nSynonyms:\nray.d6_south\nray d6_south","url":"ray.html#d6_south"},{"doc":"ray","title":"d6_south_east","content":"pub const d6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00010000_00100000_01000000_10000000_00000000,\n)\n\nSynonyms:\nray.d6_south_east\nray d6_south_east","url":"ray.html#d6_south_east"},{"doc":"ray","title":"d6_south_west","content":"pub const d6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000100_00000010_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.d6_south_west\nray d6_south_west","url":"ray.html#d6_south_west"},{"doc":"ray","title":"d6_west","content":"pub const d6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000111_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d6_west\nray d6_west","url":"ray.html#d6_west"},{"doc":"ray","title":"d7_east","content":"pub const d7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_11110000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_east\nray d7_east","url":"ray.html#d7_east"},{"doc":"ray","title":"d7_north","content":"pub const d7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_north\nray d7_north","url":"ray.html#d7_north"},{"doc":"ray","title":"d7_north_east","content":"pub const d7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_north_east\nray d7_north_east","url":"ray.html#d7_north_east"},{"doc":"ray","title":"d7_north_west","content":"pub const d7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_north_west\nray d7_north_west","url":"ray.html#d7_north_west"},{"doc":"ray","title":"d7_south","content":"pub const d7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00001000_00001000_00001000_00001000_00001000_00001000,\n)\n\nSynonyms:\nray.d7_south\nray d7_south","url":"ray.html#d7_south"},{"doc":"ray","title":"d7_south_east","content":"pub const d7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00010000_00100000_01000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_south_east\nray d7_south_east","url":"ray.html#d7_south_east"},{"doc":"ray","title":"d7_south_west","content":"pub const d7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000100_00000010_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_south_west\nray d7_south_west","url":"ray.html#d7_south_west"},{"doc":"ray","title":"d7_west","content":"pub const d7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000111_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d7_west\nray d7_west","url":"ray.html#d7_west"},{"doc":"ray","title":"d8_east","content":"pub const d8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b11110000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_east\nray d8_east","url":"ray.html#d8_east"},{"doc":"ray","title":"d8_north","content":"pub const d8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_north\nray d8_north","url":"ray.html#d8_north"},{"doc":"ray","title":"d8_north_east","content":"pub const d8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_north_east\nray d8_north_east","url":"ray.html#d8_north_east"},{"doc":"ray","title":"d8_north_west","content":"pub const d8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_north_west\nray d8_north_west","url":"ray.html#d8_north_west"},{"doc":"ray","title":"d8_south","content":"pub const d8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00001000_00001000_00001000_00001000_00001000_00001000_00001000,\n)\n\nSynonyms:\nray.d8_south\nray d8_south","url":"ray.html#d8_south"},{"doc":"ray","title":"d8_south_east","content":"pub const d8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00010000_00100000_01000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_south_east\nray d8_south_east","url":"ray.html#d8_south_east"},{"doc":"ray","title":"d8_south_west","content":"pub const d8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000100_00000010_00000001_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_south_west\nray d8_south_west","url":"ray.html#d8_south_west"},{"doc":"ray","title":"d8_west","content":"pub const d8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000111_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.d8_west\nray d8_west","url":"ray.html#d8_west"},{"doc":"ray","title":"e1_east","content":"pub const e1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_11100000,\n)\n\nSynonyms:\nray.e1_east\nray e1_east","url":"ray.html#e1_east"},{"doc":"ray","title":"e1_north","content":"pub const e1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00010000_00010000_00010000_00010000_00010000_00010000_00000000,\n)\n\nSynonyms:\nray.e1_north\nray e1_north","url":"ray.html#e1_north"},{"doc":"ray","title":"e1_north_east","content":"pub const e1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_10000000_01000000_00100000_00000000,\n)\n\nSynonyms:\nray.e1_north_east\nray e1_north_east","url":"ray.html#e1_north_east"},{"doc":"ray","title":"e1_north_west","content":"pub const e1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000001_00000010_00000100_00001000_00000000,\n)\n\nSynonyms:\nray.e1_north_west\nray e1_north_west","url":"ray.html#e1_north_west"},{"doc":"ray","title":"e1_south","content":"pub const e1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e1_south\nray e1_south","url":"ray.html#e1_south"},{"doc":"ray","title":"e1_south_east","content":"pub const e1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e1_south_east\nray e1_south_east","url":"ray.html#e1_south_east"},{"doc":"ray","title":"e1_south_west","content":"pub const e1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e1_south_west\nray e1_south_west","url":"ray.html#e1_south_west"},{"doc":"ray","title":"e1_west","content":"pub const e1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00001111,\n)\n\nSynonyms:\nray.e1_west\nray e1_west","url":"ray.html#e1_west"},{"doc":"ray","title":"e2_east","content":"pub const e2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_11100000_00000000,\n)\n\nSynonyms:\nray.e2_east\nray e2_east","url":"ray.html#e2_east"},{"doc":"ray","title":"e2_north","content":"pub const e2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00010000_00010000_00010000_00010000_00010000_00000000_00000000,\n)\n\nSynonyms:\nray.e2_north\nray e2_north","url":"ray.html#e2_north"},{"doc":"ray","title":"e2_north_east","content":"pub const e2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_01000000_00100000_00000000_00000000,\n)\n\nSynonyms:\nray.e2_north_east\nray e2_north_east","url":"ray.html#e2_north_east"},{"doc":"ray","title":"e2_north_west","content":"pub const e2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000010_00000100_00001000_00000000_00000000,\n)\n\nSynonyms:\nray.e2_north_west\nray e2_north_west","url":"ray.html#e2_north_west"},{"doc":"ray","title":"e2_south","content":"pub const e2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00010000,\n)\n\nSynonyms:\nray.e2_south\nray e2_south","url":"ray.html#e2_south"},{"doc":"ray","title":"e2_south_east","content":"pub const e2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00100000,\n)\n\nSynonyms:\nray.e2_south_east\nray e2_south_east","url":"ray.html#e2_south_east"},{"doc":"ray","title":"e2_south_west","content":"pub const e2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00001000,\n)\n\nSynonyms:\nray.e2_south_west\nray e2_south_west","url":"ray.html#e2_south_west"},{"doc":"ray","title":"e2_west","content":"pub const e2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00001111_00000000,\n)\n\nSynonyms:\nray.e2_west\nray e2_west","url":"ray.html#e2_west"},{"doc":"ray","title":"e3_east","content":"pub const e3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_11100000_00000000_00000000,\n)\n\nSynonyms:\nray.e3_east\nray e3_east","url":"ray.html#e3_east"},{"doc":"ray","title":"e3_north","content":"pub const e3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00010000_00010000_00010000_00010000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e3_north\nray e3_north","url":"ray.html#e3_north"},{"doc":"ray","title":"e3_north_east","content":"pub const e3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_01000000_00100000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e3_north_east\nray e3_north_east","url":"ray.html#e3_north_east"},{"doc":"ray","title":"e3_north_west","content":"pub const e3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000010_00000100_00001000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e3_north_west\nray e3_north_west","url":"ray.html#e3_north_west"},{"doc":"ray","title":"e3_south","content":"pub const e3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00010000_00010000,\n)\n\nSynonyms:\nray.e3_south\nray e3_south","url":"ray.html#e3_south"},{"doc":"ray","title":"e3_south_east","content":"pub const e3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00100000_01000000,\n)\n\nSynonyms:\nray.e3_south_east\nray e3_south_east","url":"ray.html#e3_south_east"},{"doc":"ray","title":"e3_south_west","content":"pub const e3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00001000_00000100,\n)\n\nSynonyms:\nray.e3_south_west\nray e3_south_west","url":"ray.html#e3_south_west"},{"doc":"ray","title":"e3_west","content":"pub const e3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00001111_00000000_00000000,\n)\n\nSynonyms:\nray.e3_west\nray e3_west","url":"ray.html#e3_west"},{"doc":"ray","title":"e4_east","content":"pub const e4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_11100000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e4_east\nray e4_east","url":"ray.html#e4_east"},{"doc":"ray","title":"e4_north","content":"pub const e4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00010000_00010000_00010000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e4_north\nray e4_north","url":"ray.html#e4_north"},{"doc":"ray","title":"e4_north_east","content":"pub const e4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_01000000_00100000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e4_north_east\nray e4_north_east","url":"ray.html#e4_north_east"},{"doc":"ray","title":"e4_north_west","content":"pub const e4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000010_00000100_00001000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e4_north_west\nray e4_north_west","url":"ray.html#e4_north_west"},{"doc":"ray","title":"e4_south","content":"pub const e4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00010000_00010000_00010000,\n)\n\nSynonyms:\nray.e4_south\nray e4_south","url":"ray.html#e4_south"},{"doc":"ray","title":"e4_south_east","content":"pub const e4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00100000_01000000_10000000,\n)\n\nSynonyms:\nray.e4_south_east\nray e4_south_east","url":"ray.html#e4_south_east"},{"doc":"ray","title":"e4_south_west","content":"pub const e4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00001000_00000100_00000010,\n)\n\nSynonyms:\nray.e4_south_west\nray e4_south_west","url":"ray.html#e4_south_west"},{"doc":"ray","title":"e4_west","content":"pub const e4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00001111_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e4_west\nray e4_west","url":"ray.html#e4_west"},{"doc":"ray","title":"e5_east","content":"pub const e5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_11100000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e5_east\nray e5_east","url":"ray.html#e5_east"},{"doc":"ray","title":"e5_north","content":"pub const e5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00010000_00010000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e5_north\nray e5_north","url":"ray.html#e5_north"},{"doc":"ray","title":"e5_north_east","content":"pub const e5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_01000000_00100000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e5_north_east\nray e5_north_east","url":"ray.html#e5_north_east"},{"doc":"ray","title":"e5_north_west","content":"pub const e5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000100_00001000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e5_north_west\nray e5_north_west","url":"ray.html#e5_north_west"},{"doc":"ray","title":"e5_south","content":"pub const e5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00010000_00010000_00010000_00010000,\n)\n\nSynonyms:\nray.e5_south\nray e5_south","url":"ray.html#e5_south"},{"doc":"ray","title":"e5_south_east","content":"pub const e5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00100000_01000000_10000000_00000000,\n)\n\nSynonyms:\nray.e5_south_east\nray e5_south_east","url":"ray.html#e5_south_east"},{"doc":"ray","title":"e5_south_west","content":"pub const e5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00001000_00000100_00000010_00000001,\n)\n\nSynonyms:\nray.e5_south_west\nray e5_south_west","url":"ray.html#e5_south_west"},{"doc":"ray","title":"e5_west","content":"pub const e5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00001111_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e5_west\nray e5_west","url":"ray.html#e5_west"},{"doc":"ray","title":"e6_east","content":"pub const e6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_11100000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e6_east\nray e6_east","url":"ray.html#e6_east"},{"doc":"ray","title":"e6_north","content":"pub const e6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00010000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e6_north\nray e6_north","url":"ray.html#e6_north"},{"doc":"ray","title":"e6_north_east","content":"pub const e6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00100000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e6_north_east\nray e6_north_east","url":"ray.html#e6_north_east"},{"doc":"ray","title":"e6_north_west","content":"pub const e6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00001000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e6_north_west\nray e6_north_west","url":"ray.html#e6_north_west"},{"doc":"ray","title":"e6_south","content":"pub const e6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00010000_00010000_00010000_00010000_00010000,\n)\n\nSynonyms:\nray.e6_south\nray e6_south","url":"ray.html#e6_south"},{"doc":"ray","title":"e6_south_east","content":"pub const e6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00100000_01000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.e6_south_east\nray e6_south_east","url":"ray.html#e6_south_east"},{"doc":"ray","title":"e6_south_west","content":"pub const e6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00001000_00000100_00000010_00000001_00000000,\n)\n\nSynonyms:\nray.e6_south_west\nray e6_south_west","url":"ray.html#e6_south_west"},{"doc":"ray","title":"e6_west","content":"pub const e6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00001111_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e6_west\nray e6_west","url":"ray.html#e6_west"},{"doc":"ray","title":"e7_east","content":"pub const e7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_11100000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e7_east\nray e7_east","url":"ray.html#e7_east"},{"doc":"ray","title":"e7_north","content":"pub const e7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e7_north\nray e7_north","url":"ray.html#e7_north"},{"doc":"ray","title":"e7_north_east","content":"pub const e7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e7_north_east\nray e7_north_east","url":"ray.html#e7_north_east"},{"doc":"ray","title":"e7_north_west","content":"pub const e7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e7_north_west\nray e7_north_west","url":"ray.html#e7_north_west"},{"doc":"ray","title":"e7_south","content":"pub const e7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00010000_00010000_00010000_00010000_00010000_00010000,\n)\n\nSynonyms:\nray.e7_south\nray e7_south","url":"ray.html#e7_south"},{"doc":"ray","title":"e7_south_east","content":"pub const e7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00100000_01000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e7_south_east\nray e7_south_east","url":"ray.html#e7_south_east"},{"doc":"ray","title":"e7_south_west","content":"pub const e7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00001000_00000100_00000010_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.e7_south_west\nray e7_south_west","url":"ray.html#e7_south_west"},{"doc":"ray","title":"e7_west","content":"pub const e7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00001111_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e7_west\nray e7_west","url":"ray.html#e7_west"},{"doc":"ray","title":"e8_east","content":"pub const e8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b11100000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_east\nray e8_east","url":"ray.html#e8_east"},{"doc":"ray","title":"e8_north","content":"pub const e8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_north\nray e8_north","url":"ray.html#e8_north"},{"doc":"ray","title":"e8_north_east","content":"pub const e8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_north_east\nray e8_north_east","url":"ray.html#e8_north_east"},{"doc":"ray","title":"e8_north_west","content":"pub const e8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_north_west\nray e8_north_west","url":"ray.html#e8_north_west"},{"doc":"ray","title":"e8_south","content":"pub const e8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00010000_00010000_00010000_00010000_00010000_00010000_00010000,\n)\n\nSynonyms:\nray.e8_south\nray e8_south","url":"ray.html#e8_south"},{"doc":"ray","title":"e8_south_east","content":"pub const e8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00100000_01000000_10000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_south_east\nray e8_south_east","url":"ray.html#e8_south_east"},{"doc":"ray","title":"e8_south_west","content":"pub const e8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00001000_00000100_00000010_00000001_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_south_west\nray e8_south_west","url":"ray.html#e8_south_west"},{"doc":"ray","title":"e8_west","content":"pub const e8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001111_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.e8_west\nray e8_west","url":"ray.html#e8_west"},{"doc":"ray","title":"f1_east","content":"pub const f1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_11000000,\n)\n\nSynonyms:\nray.f1_east\nray f1_east","url":"ray.html#f1_east"},{"doc":"ray","title":"f1_north","content":"pub const f1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00100000_00100000_00100000_00100000_00100000_00100000_00000000,\n)\n\nSynonyms:\nray.f1_north\nray f1_north","url":"ray.html#f1_north"},{"doc":"ray","title":"f1_north_east","content":"pub const f1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_10000000_01000000_00000000,\n)\n\nSynonyms:\nray.f1_north_east\nray f1_north_east","url":"ray.html#f1_north_east"},{"doc":"ray","title":"f1_north_west","content":"pub const f1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000001_00000010_00000100_00001000_00010000_00000000,\n)\n\nSynonyms:\nray.f1_north_west\nray f1_north_west","url":"ray.html#f1_north_west"},{"doc":"ray","title":"f1_south","content":"pub const f1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f1_south\nray f1_south","url":"ray.html#f1_south"},{"doc":"ray","title":"f1_south_east","content":"pub const f1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f1_south_east\nray f1_south_east","url":"ray.html#f1_south_east"},{"doc":"ray","title":"f1_south_west","content":"pub const f1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f1_south_west\nray f1_south_west","url":"ray.html#f1_south_west"},{"doc":"ray","title":"f1_west","content":"pub const f1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00011111,\n)\n\nSynonyms:\nray.f1_west\nray f1_west","url":"ray.html#f1_west"},{"doc":"ray","title":"f2_east","content":"pub const f2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_11000000_00000000,\n)\n\nSynonyms:\nray.f2_east\nray f2_east","url":"ray.html#f2_east"},{"doc":"ray","title":"f2_north","content":"pub const f2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00100000_00100000_00100000_00100000_00100000_00000000_00000000,\n)\n\nSynonyms:\nray.f2_north\nray f2_north","url":"ray.html#f2_north"},{"doc":"ray","title":"f2_north_east","content":"pub const f2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_10000000_01000000_00000000_00000000,\n)\n\nSynonyms:\nray.f2_north_east\nray f2_north_east","url":"ray.html#f2_north_east"},{"doc":"ray","title":"f2_north_west","content":"pub const f2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000010_00000100_00001000_00010000_00000000_00000000,\n)\n\nSynonyms:\nray.f2_north_west\nray f2_north_west","url":"ray.html#f2_north_west"},{"doc":"ray","title":"f2_south","content":"pub const f2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00100000,\n)\n\nSynonyms:\nray.f2_south\nray f2_south","url":"ray.html#f2_south"},{"doc":"ray","title":"f2_south_east","content":"pub const f2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_01000000,\n)\n\nSynonyms:\nray.f2_south_east\nray f2_south_east","url":"ray.html#f2_south_east"},{"doc":"ray","title":"f2_south_west","content":"pub const f2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00010000,\n)\n\nSynonyms:\nray.f2_south_west\nray f2_south_west","url":"ray.html#f2_south_west"},{"doc":"ray","title":"f2_west","content":"pub const f2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00011111_00000000,\n)\n\nSynonyms:\nray.f2_west\nray f2_west","url":"ray.html#f2_west"},{"doc":"ray","title":"f3_east","content":"pub const f3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_11000000_00000000_00000000,\n)\n\nSynonyms:\nray.f3_east\nray f3_east","url":"ray.html#f3_east"},{"doc":"ray","title":"f3_north","content":"pub const f3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00100000_00100000_00100000_00100000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f3_north\nray f3_north","url":"ray.html#f3_north"},{"doc":"ray","title":"f3_north_east","content":"pub const f3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_01000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f3_north_east\nray f3_north_east","url":"ray.html#f3_north_east"},{"doc":"ray","title":"f3_north_west","content":"pub const f3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000010_00000100_00001000_00010000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f3_north_west\nray f3_north_west","url":"ray.html#f3_north_west"},{"doc":"ray","title":"f3_south","content":"pub const f3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00100000_00100000,\n)\n\nSynonyms:\nray.f3_south\nray f3_south","url":"ray.html#f3_south"},{"doc":"ray","title":"f3_south_east","content":"pub const f3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_01000000_10000000,\n)\n\nSynonyms:\nray.f3_south_east\nray f3_south_east","url":"ray.html#f3_south_east"},{"doc":"ray","title":"f3_south_west","content":"pub const f3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00010000_00001000,\n)\n\nSynonyms:\nray.f3_south_west\nray f3_south_west","url":"ray.html#f3_south_west"},{"doc":"ray","title":"f3_west","content":"pub const f3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00011111_00000000_00000000,\n)\n\nSynonyms:\nray.f3_west\nray f3_west","url":"ray.html#f3_west"},{"doc":"ray","title":"f4_east","content":"pub const f4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_11000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f4_east\nray f4_east","url":"ray.html#f4_east"},{"doc":"ray","title":"f4_north","content":"pub const f4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00100000_00100000_00100000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f4_north\nray f4_north","url":"ray.html#f4_north"},{"doc":"ray","title":"f4_north_east","content":"pub const f4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_01000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f4_north_east\nray f4_north_east","url":"ray.html#f4_north_east"},{"doc":"ray","title":"f4_north_west","content":"pub const f4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000100_00001000_00010000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f4_north_west\nray f4_north_west","url":"ray.html#f4_north_west"},{"doc":"ray","title":"f4_south","content":"pub const f4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00100000_00100000_00100000,\n)\n\nSynonyms:\nray.f4_south\nray f4_south","url":"ray.html#f4_south"},{"doc":"ray","title":"f4_south_east","content":"pub const f4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_01000000_10000000_00000000,\n)\n\nSynonyms:\nray.f4_south_east\nray f4_south_east","url":"ray.html#f4_south_east"},{"doc":"ray","title":"f4_south_west","content":"pub const f4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00010000_00001000_00000100,\n)\n\nSynonyms:\nray.f4_south_west\nray f4_south_west","url":"ray.html#f4_south_west"},{"doc":"ray","title":"f4_west","content":"pub const f4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00011111_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f4_west\nray f4_west","url":"ray.html#f4_west"},{"doc":"ray","title":"f5_east","content":"pub const f5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_11000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f5_east\nray f5_east","url":"ray.html#f5_east"},{"doc":"ray","title":"f5_north","content":"pub const f5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00100000_00100000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f5_north\nray f5_north","url":"ray.html#f5_north"},{"doc":"ray","title":"f5_north_east","content":"pub const f5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_01000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f5_north_east\nray f5_north_east","url":"ray.html#f5_north_east"},{"doc":"ray","title":"f5_north_west","content":"pub const f5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00001000_00010000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f5_north_west\nray f5_north_west","url":"ray.html#f5_north_west"},{"doc":"ray","title":"f5_south","content":"pub const f5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00100000_00100000_00100000_00100000,\n)\n\nSynonyms:\nray.f5_south\nray f5_south","url":"ray.html#f5_south"},{"doc":"ray","title":"f5_south_east","content":"pub const f5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_01000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.f5_south_east\nray f5_south_east","url":"ray.html#f5_south_east"},{"doc":"ray","title":"f5_south_west","content":"pub const f5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00010000_00001000_00000100_00000010,\n)\n\nSynonyms:\nray.f5_south_west\nray f5_south_west","url":"ray.html#f5_south_west"},{"doc":"ray","title":"f5_west","content":"pub const f5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00011111_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f5_west\nray f5_west","url":"ray.html#f5_west"},{"doc":"ray","title":"f6_east","content":"pub const f6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_11000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f6_east\nray f6_east","url":"ray.html#f6_east"},{"doc":"ray","title":"f6_north","content":"pub const f6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00100000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f6_north\nray f6_north","url":"ray.html#f6_north"},{"doc":"ray","title":"f6_north_east","content":"pub const f6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_01000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f6_north_east\nray f6_north_east","url":"ray.html#f6_north_east"},{"doc":"ray","title":"f6_north_west","content":"pub const f6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00010000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f6_north_west\nray f6_north_west","url":"ray.html#f6_north_west"},{"doc":"ray","title":"f6_south","content":"pub const f6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00100000_00100000_00100000_00100000_00100000,\n)\n\nSynonyms:\nray.f6_south\nray f6_south","url":"ray.html#f6_south"},{"doc":"ray","title":"f6_south_east","content":"pub const f6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_01000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f6_south_east\nray f6_south_east","url":"ray.html#f6_south_east"},{"doc":"ray","title":"f6_south_west","content":"pub const f6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00010000_00001000_00000100_00000010_00000001,\n)\n\nSynonyms:\nray.f6_south_west\nray f6_south_west","url":"ray.html#f6_south_west"},{"doc":"ray","title":"f6_west","content":"pub const f6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00011111_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f6_west\nray f6_west","url":"ray.html#f6_west"},{"doc":"ray","title":"f7_east","content":"pub const f7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_11000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f7_east\nray f7_east","url":"ray.html#f7_east"},{"doc":"ray","title":"f7_north","content":"pub const f7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f7_north\nray f7_north","url":"ray.html#f7_north"},{"doc":"ray","title":"f7_north_east","content":"pub const f7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f7_north_east\nray f7_north_east","url":"ray.html#f7_north_east"},{"doc":"ray","title":"f7_north_west","content":"pub const f7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f7_north_west\nray f7_north_west","url":"ray.html#f7_north_west"},{"doc":"ray","title":"f7_south","content":"pub const f7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00100000_00100000_00100000_00100000_00100000_00100000,\n)\n\nSynonyms:\nray.f7_south\nray f7_south","url":"ray.html#f7_south"},{"doc":"ray","title":"f7_south_east","content":"pub const f7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_01000000_10000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f7_south_east\nray f7_south_east","url":"ray.html#f7_south_east"},{"doc":"ray","title":"f7_south_west","content":"pub const f7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00010000_00001000_00000100_00000010_00000001_00000000,\n)\n\nSynonyms:\nray.f7_south_west\nray f7_south_west","url":"ray.html#f7_south_west"},{"doc":"ray","title":"f7_west","content":"pub const f7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00011111_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f7_west\nray f7_west","url":"ray.html#f7_west"},{"doc":"ray","title":"f8_east","content":"pub const f8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b11000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f8_east\nray f8_east","url":"ray.html#f8_east"},{"doc":"ray","title":"f8_north","content":"pub const f8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f8_north\nray f8_north","url":"ray.html#f8_north"},{"doc":"ray","title":"f8_north_east","content":"pub const f8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f8_north_east\nray f8_north_east","url":"ray.html#f8_north_east"},{"doc":"ray","title":"f8_north_west","content":"pub const f8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f8_north_west\nray f8_north_west","url":"ray.html#f8_north_west"},{"doc":"ray","title":"f8_south","content":"pub const f8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00100000_00100000_00100000_00100000_00100000_00100000_00100000,\n)\n\nSynonyms:\nray.f8_south\nray f8_south","url":"ray.html#f8_south"},{"doc":"ray","title":"f8_south_east","content":"pub const f8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_01000000_10000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f8_south_east\nray f8_south_east","url":"ray.html#f8_south_east"},{"doc":"ray","title":"f8_south_west","content":"pub const f8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00010000_00001000_00000100_00000010_00000001_00000000_00000000,\n)\n\nSynonyms:\nray.f8_south_west\nray f8_south_west","url":"ray.html#f8_south_west"},{"doc":"ray","title":"f8_west","content":"pub const f8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00011111_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.f8_west\nray f8_west","url":"ray.html#f8_west"},{"doc":"ray","title":"g1_east","content":"pub const g1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_10000000,\n)\n\nSynonyms:\nray.g1_east\nray g1_east","url":"ray.html#g1_east"},{"doc":"ray","title":"g1_north","content":"pub const g1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_01000000_01000000_01000000_01000000_01000000_01000000_00000000,\n)\n\nSynonyms:\nray.g1_north\nray g1_north","url":"ray.html#g1_north"},{"doc":"ray","title":"g1_north_east","content":"pub const g1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_10000000_00000000,\n)\n\nSynonyms:\nray.g1_north_east\nray g1_north_east","url":"ray.html#g1_north_east"},{"doc":"ray","title":"g1_north_west","content":"pub const g1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000001_00000010_00000100_00001000_00010000_00100000_00000000,\n)\n\nSynonyms:\nray.g1_north_west\nray g1_north_west","url":"ray.html#g1_north_west"},{"doc":"ray","title":"g1_south","content":"pub const g1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g1_south\nray g1_south","url":"ray.html#g1_south"},{"doc":"ray","title":"g1_south_east","content":"pub const g1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g1_south_east\nray g1_south_east","url":"ray.html#g1_south_east"},{"doc":"ray","title":"g1_south_west","content":"pub const g1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g1_south_west\nray g1_south_west","url":"ray.html#g1_south_west"},{"doc":"ray","title":"g1_west","content":"pub const g1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00111111,\n)\n\nSynonyms:\nray.g1_west\nray g1_west","url":"ray.html#g1_west"},{"doc":"ray","title":"g2_east","content":"pub const g2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_10000000_00000000,\n)\n\nSynonyms:\nray.g2_east\nray g2_east","url":"ray.html#g2_east"},{"doc":"ray","title":"g2_north","content":"pub const g2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_01000000_01000000_01000000_01000000_01000000_00000000_00000000,\n)\n\nSynonyms:\nray.g2_north\nray g2_north","url":"ray.html#g2_north"},{"doc":"ray","title":"g2_north_east","content":"pub const g2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.g2_north_east\nray g2_north_east","url":"ray.html#g2_north_east"},{"doc":"ray","title":"g2_north_west","content":"pub const g2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000010_00000100_00001000_00010000_00100000_00000000_00000000,\n)\n\nSynonyms:\nray.g2_north_west\nray g2_north_west","url":"ray.html#g2_north_west"},{"doc":"ray","title":"g2_south","content":"pub const g2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_01000000,\n)\n\nSynonyms:\nray.g2_south\nray g2_south","url":"ray.html#g2_south"},{"doc":"ray","title":"g2_south_east","content":"pub const g2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_10000000,\n)\n\nSynonyms:\nray.g2_south_east\nray g2_south_east","url":"ray.html#g2_south_east"},{"doc":"ray","title":"g2_south_west","content":"pub const g2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00100000,\n)\n\nSynonyms:\nray.g2_south_west\nray g2_south_west","url":"ray.html#g2_south_west"},{"doc":"ray","title":"g2_west","content":"pub const g2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00111111_00000000,\n)\n\nSynonyms:\nray.g2_west\nray g2_west","url":"ray.html#g2_west"},{"doc":"ray","title":"g3_east","content":"pub const g3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.g3_east\nray g3_east","url":"ray.html#g3_east"},{"doc":"ray","title":"g3_north","content":"pub const g3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_01000000_01000000_01000000_01000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g3_north\nray g3_north","url":"ray.html#g3_north"},{"doc":"ray","title":"g3_north_east","content":"pub const g3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g3_north_east\nray g3_north_east","url":"ray.html#g3_north_east"},{"doc":"ray","title":"g3_north_west","content":"pub const g3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000100_00001000_00010000_00100000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g3_north_west\nray g3_north_west","url":"ray.html#g3_north_west"},{"doc":"ray","title":"g3_south","content":"pub const g3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_01000000_01000000,\n)\n\nSynonyms:\nray.g3_south\nray g3_south","url":"ray.html#g3_south"},{"doc":"ray","title":"g3_south_east","content":"pub const g3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_10000000_00000000,\n)\n\nSynonyms:\nray.g3_south_east\nray g3_south_east","url":"ray.html#g3_south_east"},{"doc":"ray","title":"g3_south_west","content":"pub const g3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00100000_00010000,\n)\n\nSynonyms:\nray.g3_south_west\nray g3_south_west","url":"ray.html#g3_south_west"},{"doc":"ray","title":"g3_west","content":"pub const g3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00111111_00000000_00000000,\n)\n\nSynonyms:\nray.g3_west\nray g3_west","url":"ray.html#g3_west"},{"doc":"ray","title":"g4_east","content":"pub const g4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g4_east\nray g4_east","url":"ray.html#g4_east"},{"doc":"ray","title":"g4_north","content":"pub const g4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_01000000_01000000_01000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g4_north\nray g4_north","url":"ray.html#g4_north"},{"doc":"ray","title":"g4_north_east","content":"pub const g4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g4_north_east\nray g4_north_east","url":"ray.html#g4_north_east"},{"doc":"ray","title":"g4_north_west","content":"pub const g4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00001000_00010000_00100000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g4_north_west\nray g4_north_west","url":"ray.html#g4_north_west"},{"doc":"ray","title":"g4_south","content":"pub const g4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_01000000_01000000_01000000,\n)\n\nSynonyms:\nray.g4_south\nray g4_south","url":"ray.html#g4_south"},{"doc":"ray","title":"g4_south_east","content":"pub const g4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.g4_south_east\nray g4_south_east","url":"ray.html#g4_south_east"},{"doc":"ray","title":"g4_south_west","content":"pub const g4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00100000_00010000_00001000,\n)\n\nSynonyms:\nray.g4_south_west\nray g4_south_west","url":"ray.html#g4_south_west"},{"doc":"ray","title":"g4_west","content":"pub const g4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00111111_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g4_west\nray g4_west","url":"ray.html#g4_west"},{"doc":"ray","title":"g5_east","content":"pub const g5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g5_east\nray g5_east","url":"ray.html#g5_east"},{"doc":"ray","title":"g5_north","content":"pub const g5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_01000000_01000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g5_north\nray g5_north","url":"ray.html#g5_north"},{"doc":"ray","title":"g5_north_east","content":"pub const g5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g5_north_east\nray g5_north_east","url":"ray.html#g5_north_east"},{"doc":"ray","title":"g5_north_west","content":"pub const g5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00010000_00100000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g5_north_west\nray g5_north_west","url":"ray.html#g5_north_west"},{"doc":"ray","title":"g5_south","content":"pub const g5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_01000000_01000000_01000000_01000000,\n)\n\nSynonyms:\nray.g5_south\nray g5_south","url":"ray.html#g5_south"},{"doc":"ray","title":"g5_south_east","content":"pub const g5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g5_south_east\nray g5_south_east","url":"ray.html#g5_south_east"},{"doc":"ray","title":"g5_south_west","content":"pub const g5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00100000_00010000_00001000_00000100,\n)\n\nSynonyms:\nray.g5_south_west\nray g5_south_west","url":"ray.html#g5_south_west"},{"doc":"ray","title":"g5_west","content":"pub const g5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00111111_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g5_west\nray g5_west","url":"ray.html#g5_west"},{"doc":"ray","title":"g6_east","content":"pub const g6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g6_east\nray g6_east","url":"ray.html#g6_east"},{"doc":"ray","title":"g6_north","content":"pub const g6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_01000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g6_north\nray g6_north","url":"ray.html#g6_north"},{"doc":"ray","title":"g6_north_east","content":"pub const g6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g6_north_east\nray g6_north_east","url":"ray.html#g6_north_east"},{"doc":"ray","title":"g6_north_west","content":"pub const g6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00100000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g6_north_west\nray g6_north_west","url":"ray.html#g6_north_west"},{"doc":"ray","title":"g6_south","content":"pub const g6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_01000000_01000000_01000000_01000000_01000000,\n)\n\nSynonyms:\nray.g6_south\nray g6_south","url":"ray.html#g6_south"},{"doc":"ray","title":"g6_south_east","content":"pub const g6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g6_south_east\nray g6_south_east","url":"ray.html#g6_south_east"},{"doc":"ray","title":"g6_south_west","content":"pub const g6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00100000_00010000_00001000_00000100_00000010,\n)\n\nSynonyms:\nray.g6_south_west\nray g6_south_west","url":"ray.html#g6_south_west"},{"doc":"ray","title":"g6_west","content":"pub const g6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00111111_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g6_west\nray g6_west","url":"ray.html#g6_west"},{"doc":"ray","title":"g7_east","content":"pub const g7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g7_east\nray g7_east","url":"ray.html#g7_east"},{"doc":"ray","title":"g7_north","content":"pub const g7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g7_north\nray g7_north","url":"ray.html#g7_north"},{"doc":"ray","title":"g7_north_east","content":"pub const g7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g7_north_east\nray g7_north_east","url":"ray.html#g7_north_east"},{"doc":"ray","title":"g7_north_west","content":"pub const g7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g7_north_west\nray g7_north_west","url":"ray.html#g7_north_west"},{"doc":"ray","title":"g7_south","content":"pub const g7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_01000000_01000000_01000000_01000000_01000000_01000000,\n)\n\nSynonyms:\nray.g7_south\nray g7_south","url":"ray.html#g7_south"},{"doc":"ray","title":"g7_south_east","content":"pub const g7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g7_south_east\nray g7_south_east","url":"ray.html#g7_south_east"},{"doc":"ray","title":"g7_south_west","content":"pub const g7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00100000_00010000_00001000_00000100_00000010_00000001,\n)\n\nSynonyms:\nray.g7_south_west\nray g7_south_west","url":"ray.html#g7_south_west"},{"doc":"ray","title":"g7_west","content":"pub const g7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00111111_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g7_west\nray g7_west","url":"ray.html#g7_west"},{"doc":"ray","title":"g8_east","content":"pub const g8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g8_east\nray g8_east","url":"ray.html#g8_east"},{"doc":"ray","title":"g8_north","content":"pub const g8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g8_north\nray g8_north","url":"ray.html#g8_north"},{"doc":"ray","title":"g8_north_east","content":"pub const g8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g8_north_east\nray g8_north_east","url":"ray.html#g8_north_east"},{"doc":"ray","title":"g8_north_west","content":"pub const g8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g8_north_west\nray g8_north_west","url":"ray.html#g8_north_west"},{"doc":"ray","title":"g8_south","content":"pub const g8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_01000000_01000000_01000000_01000000_01000000_01000000_01000000,\n)\n\nSynonyms:\nray.g8_south\nray g8_south","url":"ray.html#g8_south"},{"doc":"ray","title":"g8_south_east","content":"pub const g8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g8_south_east\nray g8_south_east","url":"ray.html#g8_south_east"},{"doc":"ray","title":"g8_south_west","content":"pub const g8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00100000_00010000_00001000_00000100_00000010_00000001_00000000,\n)\n\nSynonyms:\nray.g8_south_west\nray g8_south_west","url":"ray.html#g8_south_west"},{"doc":"ray","title":"g8_west","content":"pub const g8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00111111_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.g8_west\nray g8_west","url":"ray.html#g8_west"},{"doc":"ray","title":"h1_east","content":"pub const h1_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h1_east\nray h1_east","url":"ray.html#h1_east"},{"doc":"ray","title":"h1_north","content":"pub const h1_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_10000000_10000000_10000000_10000000_10000000_10000000_00000000,\n)\n\nSynonyms:\nray.h1_north\nray h1_north","url":"ray.html#h1_north"},{"doc":"ray","title":"h1_north_east","content":"pub const h1_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_10000000,\n)\n\nSynonyms:\nray.h1_north_east\nray h1_north_east","url":"ray.html#h1_north_east"},{"doc":"ray","title":"h1_north_west","content":"pub const h1_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000001_00000010_00000100_00001000_00010000_00100000_01000000_00000000,\n)\n\nSynonyms:\nray.h1_north_west\nray h1_north_west","url":"ray.html#h1_north_west"},{"doc":"ray","title":"h1_south","content":"pub const h1_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h1_south\nray h1_south","url":"ray.html#h1_south"},{"doc":"ray","title":"h1_south_east","content":"pub const h1_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h1_south_east\nray h1_south_east","url":"ray.html#h1_south_east"},{"doc":"ray","title":"h1_south_west","content":"pub const h1_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h1_south_west\nray h1_south_west","url":"ray.html#h1_south_west"},{"doc":"ray","title":"h1_west","content":"pub const h1_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_01111111,\n)\n\nSynonyms:\nray.h1_west\nray h1_west","url":"ray.html#h1_west"},{"doc":"ray","title":"h2_east","content":"pub const h2_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h2_east\nray h2_east","url":"ray.html#h2_east"},{"doc":"ray","title":"h2_north","content":"pub const h2_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_10000000_10000000_10000000_10000000_10000000_00000000_00000000,\n)\n\nSynonyms:\nray.h2_north\nray h2_north","url":"ray.html#h2_north"},{"doc":"ray","title":"h2_north_east","content":"pub const h2_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h2_north_east\nray h2_north_east","url":"ray.html#h2_north_east"},{"doc":"ray","title":"h2_north_west","content":"pub const h2_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000010_00000100_00001000_00010000_00100000_01000000_00000000_00000000,\n)\n\nSynonyms:\nray.h2_north_west\nray h2_north_west","url":"ray.html#h2_north_west"},{"doc":"ray","title":"h2_south","content":"pub const h2_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_10000000,\n)\n\nSynonyms:\nray.h2_south\nray h2_south","url":"ray.html#h2_south"},{"doc":"ray","title":"h2_south_east","content":"pub const h2_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h2_south_east\nray h2_south_east","url":"ray.html#h2_south_east"},{"doc":"ray","title":"h2_south_west","content":"pub const h2_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_01000000,\n)\n\nSynonyms:\nray.h2_south_west\nray h2_south_west","url":"ray.html#h2_south_west"},{"doc":"ray","title":"h2_west","content":"pub const h2_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_01111111_00000000,\n)\n\nSynonyms:\nray.h2_west\nray h2_west","url":"ray.html#h2_west"},{"doc":"ray","title":"h3_east","content":"pub const h3_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h3_east\nray h3_east","url":"ray.html#h3_east"},{"doc":"ray","title":"h3_north","content":"pub const h3_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_10000000_10000000_10000000_10000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h3_north\nray h3_north","url":"ray.html#h3_north"},{"doc":"ray","title":"h3_north_east","content":"pub const h3_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h3_north_east\nray h3_north_east","url":"ray.html#h3_north_east"},{"doc":"ray","title":"h3_north_west","content":"pub const h3_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000100_00001000_00010000_00100000_01000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h3_north_west\nray h3_north_west","url":"ray.html#h3_north_west"},{"doc":"ray","title":"h3_south","content":"pub const h3_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_10000000_10000000,\n)\n\nSynonyms:\nray.h3_south\nray h3_south","url":"ray.html#h3_south"},{"doc":"ray","title":"h3_south_east","content":"pub const h3_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h3_south_east\nray h3_south_east","url":"ray.html#h3_south_east"},{"doc":"ray","title":"h3_south_west","content":"pub const h3_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_01000000_00100000,\n)\n\nSynonyms:\nray.h3_south_west\nray h3_south_west","url":"ray.html#h3_south_west"},{"doc":"ray","title":"h3_west","content":"pub const h3_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_01111111_00000000_00000000,\n)\n\nSynonyms:\nray.h3_west\nray h3_west","url":"ray.html#h3_west"},{"doc":"ray","title":"h4_east","content":"pub const h4_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h4_east\nray h4_east","url":"ray.html#h4_east"},{"doc":"ray","title":"h4_north","content":"pub const h4_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_10000000_10000000_10000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h4_north\nray h4_north","url":"ray.html#h4_north"},{"doc":"ray","title":"h4_north_east","content":"pub const h4_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h4_north_east\nray h4_north_east","url":"ray.html#h4_north_east"},{"doc":"ray","title":"h4_north_west","content":"pub const h4_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00001000_00010000_00100000_01000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h4_north_west\nray h4_north_west","url":"ray.html#h4_north_west"},{"doc":"ray","title":"h4_south","content":"pub const h4_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_10000000_10000000_10000000,\n)\n\nSynonyms:\nray.h4_south\nray h4_south","url":"ray.html#h4_south"},{"doc":"ray","title":"h4_south_east","content":"pub const h4_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h4_south_east\nray h4_south_east","url":"ray.html#h4_south_east"},{"doc":"ray","title":"h4_south_west","content":"pub const h4_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_01000000_00100000_00010000,\n)\n\nSynonyms:\nray.h4_south_west\nray h4_south_west","url":"ray.html#h4_south_west"},{"doc":"ray","title":"h4_west","content":"pub const h4_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_01111111_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h4_west\nray h4_west","url":"ray.html#h4_west"},{"doc":"ray","title":"h5_east","content":"pub const h5_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h5_east\nray h5_east","url":"ray.html#h5_east"},{"doc":"ray","title":"h5_north","content":"pub const h5_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_10000000_10000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h5_north\nray h5_north","url":"ray.html#h5_north"},{"doc":"ray","title":"h5_north_east","content":"pub const h5_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h5_north_east\nray h5_north_east","url":"ray.html#h5_north_east"},{"doc":"ray","title":"h5_north_west","content":"pub const h5_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00010000_00100000_01000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h5_north_west\nray h5_north_west","url":"ray.html#h5_north_west"},{"doc":"ray","title":"h5_south","content":"pub const h5_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_10000000_10000000_10000000_10000000,\n)\n\nSynonyms:\nray.h5_south\nray h5_south","url":"ray.html#h5_south"},{"doc":"ray","title":"h5_south_east","content":"pub const h5_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h5_south_east\nray h5_south_east","url":"ray.html#h5_south_east"},{"doc":"ray","title":"h5_south_west","content":"pub const h5_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_01000000_00100000_00010000_00001000,\n)\n\nSynonyms:\nray.h5_south_west\nray h5_south_west","url":"ray.html#h5_south_west"},{"doc":"ray","title":"h5_west","content":"pub const h5_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_01111111_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h5_west\nray h5_west","url":"ray.html#h5_west"},{"doc":"ray","title":"h6_east","content":"pub const h6_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h6_east\nray h6_east","url":"ray.html#h6_east"},{"doc":"ray","title":"h6_north","content":"pub const h6_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_10000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h6_north\nray h6_north","url":"ray.html#h6_north"},{"doc":"ray","title":"h6_north_east","content":"pub const h6_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h6_north_east\nray h6_north_east","url":"ray.html#h6_north_east"},{"doc":"ray","title":"h6_north_west","content":"pub const h6_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00100000_01000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h6_north_west\nray h6_north_west","url":"ray.html#h6_north_west"},{"doc":"ray","title":"h6_south","content":"pub const h6_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_10000000_10000000_10000000_10000000_10000000,\n)\n\nSynonyms:\nray.h6_south\nray h6_south","url":"ray.html#h6_south"},{"doc":"ray","title":"h6_south_east","content":"pub const h6_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h6_south_east\nray h6_south_east","url":"ray.html#h6_south_east"},{"doc":"ray","title":"h6_south_west","content":"pub const h6_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_01000000_00100000_00010000_00001000_00000100,\n)\n\nSynonyms:\nray.h6_south_west\nray h6_south_west","url":"ray.html#h6_south_west"},{"doc":"ray","title":"h6_west","content":"pub const h6_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_01111111_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h6_west\nray h6_west","url":"ray.html#h6_west"},{"doc":"ray","title":"h7_east","content":"pub const h7_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h7_east\nray h7_east","url":"ray.html#h7_east"},{"doc":"ray","title":"h7_north","content":"pub const h7_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b10000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h7_north\nray h7_north","url":"ray.html#h7_north"},{"doc":"ray","title":"h7_north_east","content":"pub const h7_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h7_north_east\nray h7_north_east","url":"ray.html#h7_north_east"},{"doc":"ray","title":"h7_north_west","content":"pub const h7_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h7_north_west\nray h7_north_west","url":"ray.html#h7_north_west"},{"doc":"ray","title":"h7_south","content":"pub const h7_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_10000000_10000000_10000000_10000000_10000000_10000000,\n)\n\nSynonyms:\nray.h7_south\nray h7_south","url":"ray.html#h7_south"},{"doc":"ray","title":"h7_south_east","content":"pub const h7_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h7_south_east\nray h7_south_east","url":"ray.html#h7_south_east"},{"doc":"ray","title":"h7_south_west","content":"pub const h7_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_01000000_00100000_00010000_00001000_00000100_00000010,\n)\n\nSynonyms:\nray.h7_south_west\nray h7_south_west","url":"ray.html#h7_south_west"},{"doc":"ray","title":"h7_west","content":"pub const h7_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_01111111_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h7_west\nray h7_west","url":"ray.html#h7_west"},{"doc":"ray","title":"h8_east","content":"pub const h8_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h8_east\nray h8_east","url":"ray.html#h8_east"},{"doc":"ray","title":"h8_north","content":"pub const h8_north: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h8_north\nray h8_north","url":"ray.html#h8_north"},{"doc":"ray","title":"h8_north_east","content":"pub const h8_north_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h8_north_east\nray h8_north_east","url":"ray.html#h8_north_east"},{"doc":"ray","title":"h8_north_west","content":"pub const h8_north_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h8_north_west\nray h8_north_west","url":"ray.html#h8_north_west"},{"doc":"ray","title":"h8_south","content":"pub const h8_south: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_10000000_10000000_10000000_10000000_10000000_10000000_10000000,\n)\n\nSynonyms:\nray.h8_south\nray h8_south","url":"ray.html#h8_south"},{"doc":"ray","title":"h8_south_east","content":"pub const h8_south_east: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h8_south_east\nray h8_south_east","url":"ray.html#h8_south_east"},{"doc":"ray","title":"h8_south_west","content":"pub const h8_south_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b00000000_01000000_00100000_00010000_00001000_00000100_00000010_00000001,\n)\n\nSynonyms:\nray.h8_south_west\nray h8_south_west","url":"ray.html#h8_south_west"},{"doc":"ray","title":"h8_west","content":"pub const h8_west: Bitboard = bitboard.Bitboard(\n  bitboard: 0b01111111_00000000_00000000_00000000_00000000_00000000_00000000_00000000,\n)\n\nSynonyms:\nray.h8_west\nray h8_west","url":"ray.html#h8_west"},{"doc":"ray","title":"ray","content":"","url":"ray.html"},{"doc":"castle_rights","title":"CastleRights","content":"pub type CastleRights {\n  Yes\n  No(ply: Int)\n}\n\nYes\n\n\nNo(ply: Int)\n\n\nSynonyms:\ncastle_rights.CastleRights\ncastle_rights CastleRights","url":"castle_rights.html#CastleRights"},{"doc":"castle_rights","title":"castle_rights","content":"","url":"castle_rights.html"},{"doc":"game","title":"Game","content":"pub type Game {\n  Game(\n    board: BoardBB,\n    turn: Color,\n    history: List(Move),\n    status: Status,\n    ply: Int,\n    white_kingside_castle: CastleRights,\n    white_queenside_castle: CastleRights,\n    black_kingside_castle: CastleRights,\n    black_queenside_castle: CastleRights,\n    en_passant: Option(Position),\n  )\n}\n\nGame(\n  board: BoardBB,\n  turn: Color,\n  history: List(Move),\n  status: Status,\n  ply: Int,\n  white_kingside_castle: CastleRights,\n  white_queenside_castle: CastleRights,\n  black_kingside_castle: CastleRights,\n  black_queenside_castle: CastleRights,\n  en_passant: Option(Position),\n)\n\n\nSynonyms:\ngame.Game\ngame Game","url":"game.html#Game"},{"doc":"game","title":"Message","content":"pub type Message {\n  AllLegalMoves(reply_with: Subject(List(Move)))\n  ApplyMove(reply_with: Subject(Game), move: Move)\n  ApplyMoveUCI(reply_with: Subject(Game), move: String)\n  UndoMove(reply_with: Subject(Game))\n  Shutdown\n  PrintBoard(reply_with: Subject(Nil))\n}\n\nAllLegalMoves(reply_with: Subject(List(Move)))\n\n\nApplyMove(reply_with: Subject(Game), move: Move)\n\n\nApplyMoveUCI(reply_with: Subject(Game), move: String)\n\n\nUndoMove(reply_with: Subject(Game))\n\n\nShutdown\n\n\nPrintBoard(reply_with: Subject(Nil))\n\n\nSynonyms:\ngame.Message\ngame Message","url":"game.html#Message"},{"doc":"game","title":"Status","content":"pub type Status {\n  Checkmate\n  Stalemate\n  InProgress\n}\n\nCheckmate\n\n\nStalemate\n\n\nInProgress\n\n\nSynonyms:\ngame.Status\ngame Status","url":"game.html#Status"},{"doc":"game","title":"all_legal_moves","content":"pub fn all_legal_moves(\n  game_actor: Subject(Message),\n) -&gt; List(Move)\n\nSynonyms:\ngame.all_legal_moves\ngame all_legal_moves","url":"game.html#all_legal_moves"},{"doc":"game","title":"apply_move","content":"pub fn apply_move(\n  game_actor: Subject(Message),\n  move: Move,\n) -&gt; Game\n\nSynonyms:\ngame.apply_move\ngame apply_move","url":"game.html#apply_move"},{"doc":"game","title":"apply_move_uci","content":"pub fn apply_move_uci(\n  game_actor: Subject(Message),\n  move_uci: String,\n) -&gt; Game\n\nSynonyms:\ngame.apply_move_uci\ngame apply_move_uci","url":"game.html#apply_move_uci"},{"doc":"game","title":"new_game","content":"pub fn new_game() -&gt; Subject(Message)\n\nSynonyms:\ngame.new_game\ngame new_game","url":"game.html#new_game"},{"doc":"game","title":"new_game_from_fen","content":"pub fn new_game_from_fen(fen_string: String) -&gt; Subject(Message)\n\nSynonyms:\ngame.new_game_from_fen\ngame new_game_from_fen","url":"game.html#new_game_from_fen"},{"doc":"game","title":"print_board","content":"pub fn print_board(game_actor: Subject(Message)) -&gt; Nil\n\nSynonyms:\ngame.print_board\ngame print_board","url":"game.html#print_board"},{"doc":"game","title":"print_board_from_fen","content":"pub fn print_board_from_fen(fen: String) -&gt; Nil\n\nSynonyms:\ngame.print_board_from_fen\ngame print_board_from_fen","url":"game.html#print_board_from_fen"},{"doc":"game","title":"undo_move","content":"pub fn undo_move(game_actor: Subject(Message)) -&gt; Game\n\nSynonyms:\ngame.undo_move\ngame undo_move","url":"game.html#undo_move"},{"doc":"game","title":"game","content":"","url":"game.html"},{"doc":"gchess","title":"main","content":"pub fn main() -&gt; Nil\n\nSynonyms:\ngchess.main\ngchess main","url":"gchess.html#main"},{"doc":"gchess","title":"gchess","content":"","url":"gchess.html"}]);